function collision_trigger(colliding_entity_id)

	if EntityHasTag(colliding_entity_id, "enemy") then
		local entityName = EntityGetName(colliding_entity_id)
		if(string.find(entityName, ".xml")) then
			return
		end
		local x, y = EntityGetTransform(colliding_entity_id)
		
		EntityLoad("data/entities/particles/particle_explosion/explosion_flare_small.xml", x, y)
		EntityKill(colliding_entity_id)
		EntityLoad("data/entities/animals/fish.xml", x, y)
		EntityLoad("data/entities/water_pocket_medium.xml", x, y)
		
	end
end