dofile_once("data/scripts/thearmory_generic_functions.lua")

local entity_id = GetUpdatedEntityID()
-- obtains coordinates from internal variables
local x = getValueStorageComponent("spawner_x", entity_id, "value_int")
local y = getValueStorageComponent("spawner_y", entity_id, "value_int")
-- loads explosions, obtains miniboss from internal variable, then spawns it at set coordinates
EntityLoad("data/entities/explosion_miniboss_spawned.xml", x, y)
-- spawns and stores miniboss entity for later use
local miniboss = EntityLoad(getValueStorageComponent("miniboss_path", entity_id, "value_string"), x, y)
-- obtains gold drop config
local canDropGold = getValueStorageComponent("can_drop_gold", entity_id, "value_int")
-- if gold drop config is 0, adds VariableStorageComponent to turn off gold drops for the miniboss
if(canDropGold == 0) then
	EntityAddComponent2(miniboss, "VariableStorageComponent", {
		_tags="no_gold_drop",
	})
end

