dofile_once("data/scripts/lib/utilities.lua")
dofile_once("data/scripts/lib/coroutines.lua")

async(function()
	
	--GamePrint("effect triggered")
	
	local trinketMultiplier = 1
	local damageThreshold = 0.03 * trinketMultiplier
	local ticks = 10
	
	local entity = GetUpdatedEntityID()
	local x, y = EntityGetTransform(entity)
	local creature_hit = EntityGetClosestWithTag(x, y, "mortal")
	
	for i=1,ticks do 
		wait(35)
		if(EntityGetIsAlive(creature_hit)) then
			--GamePrint("Entity ID - " .. creature_hit)
			GetGameEffectLoadTo( creature_hit, "FROZEN", true )	
			EntityInflictDamage( creature_hit, damageThreshold, "DAMAGE_MATERIAL", "freezing", "NORMAL", 0, 0)
		else
			return
		end
	end
end)