dofile_once("mods/TheArmory/files/trinkets_list.lua")

local damageThreshold = 0.06 * applyTrinketsEffects_SkullFlask()

local entity_id    = GetUpdatedEntityID()
entity_id = EntityGetRootEntity( entity_id )
local x, y = EntityGetTransform(entity_id)

SetRandomSeed( GameGetFrameNum(), x + y + entity_id )

local component = EntityGetFirstComponent(entity_id, "CharacterDataComponent")
local vel_x, vel_y = ComponentGetValueVector2(component, "mVelocity")

vel_x = Random(200, -200)
vel_y = Random( -300, -400)
ComponentSetValueVector2(component, "mVelocity", vel_x, vel_y)

EntityInflictDamage( entity_id, damageThreshold, "DAMAGE_EXPLOSION", "tremor", "BLOOD_SPRAY", 0, 0)