RegisterSpawnFunction( 0xff8e1c1c, "spawn_slot_machine" )
RegisterSpawnFunction( 0xff9a1f1f, "spawn_exotic_chest_and_safe" )


-- This file controls the spawning of objects inside gambling room tiles

function spawn_slot_machine(x, y)
	EntityLoad( "data/entities/items/pickup/slot_machine.xml", x, y)
end

function spawn_exotic_chest_and_safe(x, y)
	SetRandomSeed( x, y )
	local extraContainerChance = Random (1,5)
	if(extraContainerChance == 1) then
		EntityLoad( "data/entities/items/pickup/chest_armory_exotic.xml", x, y)
	elseif(extraContainerChance == 2) then
		EntityLoad( "data/entities/items/pickup/chest_armory_trinkets.xml", x, y)
	elseif(extraContainerChance == 3) then
		EntityLoad( "data/entities/items/pickup/safe.xml", x, y)
	elseif(extraContainerChance == 4) then
		EntityLoad( "data/entities/items/pickup/chest_armory_miniboss.xml", x, y)
	end
end

