dofile_once("data/scripts/game_helpers.lua" )
dofile_once("data/scripts/lib/utilities.lua")
dofile_once("mods/TheArmory/files/smallpickups_list.lua")

function drop_items(entity_id)

	local internalName = EntityGetName(entity_id)
	local x, y = EntityGetTransform( entity_id )
	
	SetRandomSeed( GameGetFrameNum(), x + y + entity_id )
	
	local openMessage = ""
	
	if(internalName == "bullet_ammo_box") then -- Bullet ammo box
		openMessage = "Ammo Box opened! Random ammo packs dropped"
		EntityLoad(getPickupItemsBaseDir() .. getRandomPickupItem("ammo", "bullet").name .. ".xml", x + Random(-10,10), y - 4 + Random(-10,10))
		EntityLoad(getPickupItemsBaseDir() .. getRandomPickupItem("ammo", "bullet").name .. ".xml", x + Random(-10,10), y - 4 + Random(-10,10))
		EntityLoad(getPickupItemsBaseDir() .. getRandomPickupItem("ammo", "bullet").name .. ".xml", x + Random(-10,10), y - 4 + Random(-10,10))
		EntityLoad(getPickupItemsBaseDir() .. getRandomPickupItem("ammo", "bullet").name .. ".xml", x + Random(-10,10), y - 4 + Random(-10,10))
		EntityLoad(getPickupItemsBaseDir() .. getRandomPickupItem("ammo", "bullet").name .. ".xml", x + Random(-10,10), y - 4 + Random(-10,10))
		EntityLoad(getPickupItemsBaseDir() .. getRandomPickupItem("ammo", "bullet").name .. ".xml", x + Random(-10,10), y - 4 + Random(-10,10))
	elseif(internalName == "basic_ammo_box") then -- Basic ammo box
		openMessage = "Basic Ammo Box opened! Random basic ammo packs dropped"
		EntityLoad(getPickupItemsBaseDir() .. getRandomPickupItem("ammo", "basic").name .. ".xml", x + Random(-10,10), y - 4 + Random(-10,10))
		EntityLoad(getPickupItemsBaseDir() .. getRandomPickupItem("ammo", "basic").name .. ".xml", x + Random(-10,10), y - 4 + Random(-10,10))
		EntityLoad(getPickupItemsBaseDir() .. getRandomPickupItem("ammo", "basic").name .. ".xml", x + Random(-10,10), y - 4 + Random(-10,10))
		EntityLoad(getPickupItemsBaseDir() .. getRandomPickupItem("ammo", "basic").name .. ".xml", x + Random(-10,10), y - 4 + Random(-10,10))
	elseif(internalName == "explosive_ammo_box") then -- Explosive ammo box
		openMessage = "Explosive Ammo Box opened! Random explosive ammo packs dropped"
		EntityLoad(getPickupItemsBaseDir() .. getRandomPickupItem("ammo", "explosive").name .. ".xml", x + Random(-10,10), y - 4 + Random(-10,10))
		EntityLoad(getPickupItemsBaseDir() .. getRandomPickupItem("ammo", "explosive").name .. ".xml", x + Random(-10,10), y - 4 + Random(-10,10))
	elseif(internalName == "special_ammo_box") then -- Special ammo box
		openMessage = "Special Ammo Box opened! Random special ammo packs dropped"
		EntityLoad(getPickupItemsBaseDir() .. getRandomPickupItem("ammo", "special").name .. ".xml", x + Random(-10,10), y - 4 + Random(-10,10))
		EntityLoad(getPickupItemsBaseDir() .. getRandomPickupItem("ammo", "special").name .. ".xml", x + Random(-10,10), y - 4 + Random(-10,10))
		EntityLoad(getPickupItemsBaseDir() .. getRandomPickupItem("ammo", "special").name .. ".xml", x + Random(-10,10), y - 4 + Random(-10,10))
		EntityLoad(getPickupItemsBaseDir() .. getRandomPickupItem("ammo", "special").name .. ".xml", x + Random(-10,10), y - 4 + Random(-10,10))
	end
	
	GamePrint(openMessage)
	GamePrintImportant(openMessage, "" )
	EntityLoad("data/entities/particles/image_emitters/chest_effect.xml", x, y)
	
	EntityKill( entity_id )
end

function item_pickup( entity_item, entity_who_picked, item_name )

	drop_items(entity_item)
	
end

function physics_body_modified( is_destroyed )
	
	drop_items(GetUpdatedEntityID())
end