dofile_once("data/scripts/lib/utilities.lua")
dofile("data/scripts/thearmory_utilities.lua")

function give_ammo()
	
	local playerHealth = getPlayerHealth()
	if(playerHealth <= 0.8) then -- Equivalent to around 12 health
		return false
	else
		playerHealth = playerHealth / 2
		
		addPlayerAmmo(30, "rifle_ammo", "Rifle Ammo")
		addPlayerAmmo(30, "revolver_ammo", "Revolver Ammo")
		addPlayerAmmo(15, "shotgun_ammo", "Shotgun Shells")
		addPlayerAmmo(45, "smg_ammo", "SMG Ammo")
		addPlayerAmmo(30, "ar_rifle_ammo", "Assault Rifle Ammo")
		addPlayerAmmo(30, "pistol_ammo", "Pistol Ammo")
		
		setPlayerHealth(playerHealth)
		return true
	end	
end

function on_open( entity_item )
	
	local x, y = EntityGetTransform( entity_item )

	local give_ammo_result = give_ammo()
	
	local returnMessage = ""
	if (give_ammo_result) then
		returnMessage = "You gave up %50 Health for firearms ammo"
		GamePrint(returnMessage)
		GamePrintImportant( returnMessage, "" )
		EntityLoad("data/entities/particles/image_emitters/chest_effect_bad.xml", x, y)
		respawnEntity(entity_item, x, y)
	else
		returnMessage = "You are in no condition to give up 50% Health"
		GamePrint(returnMessage)
		GamePrintImportant( returnMessage, "" )
		EntityLoad("data/entities/particles/image_emitters/chest_effect_green.xml", x, y)
		respawnEntity(entity_item, x, y)
	end
end

function item_pickup( entity_item, entity_who_picked, name )

	on_open( entity_item )
	
end

function respawnEntity(entity_item, x, y)
	EntityKill(entity_item)
	EntityLoad( "data/entities/items/pickup/blood_machine_ammo.xml", x, y)
end

