dofile_once("data/scripts/lib/utilities.lua")
dofile("data/scripts/thearmory_utilities.lua")

function give_rewards()
	
	local playerEnemyGuts = getPlayerEnemyGuts()
	if(playerEnemyGuts >= 1) then
			
		-- Adds firearms ammo
		addPlayerAmmo(5 * playerEnemyGuts, "rifle_ammo", "Rifle Ammo")
		addPlayerAmmo(2 * playerEnemyGuts, "shotgun_ammo", "Shotgun Shells")
		addPlayerAmmo(2 * playerEnemyGuts, "revolver_ammo", "Revolver Ammo")
		addPlayerAmmo(5 * playerEnemyGuts, "smg_ammo", "SMG Ammo")
		addPlayerAmmo(5 * playerEnemyGuts, "ar_rifle_ammo", "Assault Rifle Ammo")
		addPlayerAmmo(5 * playerEnemyGuts, "pistol_ammo", "Pistol Ammo")
		
		addPlayerHealth(10 * playerEnemyGuts)
		addPlayerGold(10 * playerEnemyGuts)
		
		addPlayerEnemyGuts(playerEnemyGuts * -1)
		return true
	else
		return false
	end	
end

function on_open( entity_item )
	
	local x, y = EntityGetTransform( entity_item )

	local give_rewards_result = give_rewards()
	
	local returnMessage = ""
	if (give_rewards_result) then
		returnMessage = "You have done justice and have been rewarded!"
		GamePrint(returnMessage)
		GamePrintImportant( returnMessage, "" )
		EntityLoad("data/entities/particles/image_emitters/chest_effect_green.xml", x, y)
		respawnEntity(entity_item, x, y)
	else
		returnMessage = "You don't have enemy guts to deposit"
		GamePrint(returnMessage)
		GamePrintImportant( returnMessage, "" )
		EntityLoad("data/entities/particles/image_emitters/chest_effect_bad.xml", x, y)
		respawnEntity(entity_item, x, y)
	end
end

function item_pickup( entity_item, entity_who_picked, name )

	on_open( entity_item )
	
end

function respawnEntity(entity_item, x, y)
	EntityKill(entity_item)
	EntityLoad( "data/entities/items/pickup/justice_machine.xml", x, y)
end

