dofile_once("data/scripts/lib/utilities.lua")
dofile_once("data/scripts/thearmory_utilities.lua")

function item_pickup( entity_item, entity_who_picked, name )

	local pos_x, pos_y = EntityGetTransform( entity_item )
	
	-- turns off these settings to prevent it from exploding upon removal
	edit_component( entity_item, "ProjectileComponent", function(comp,vars)
		vars.on_lifetime_out_explode=0
		vars.on_death_explode=0
	end)
	EntityRemoveTag( entity_item, "projectile" )
	
	if(EntityHasTag(entity_item, "recoverable_throwable_weapon")) then
		addPlayerAmmo(1, "throwable_weapons_ammo", "")
	elseif(EntityHasTag(entity_item, "recoverable_throwable_explosive")) then
		addPlayerAmmo(1, "throwable_explosives_ammo", "")
	end
	
	-- kills it to remove it from the player inventory
	EntityKill(entity_item)
	
	--GamePrint("throwable weapon picked")
end