function collision_trigger(colliding_entity_id)

		local x, y = EntityGetTransform(colliding_entity_id)
		GamePlaySound( "data/audio/Desktop/materials.snd", "collision/metalwall", x, y )
		
		SetRandomSeed( GameGetFrameNum(), x + y + colliding_entity_id )
		
		local howManyNuggets = Random(1,5) -- determines amount of ore nuggets spawned
		
		local stone_name = EntityGetName(colliding_entity_id)
		if(stone_name == "stone_iron") then
			for i=1,howManyNuggets do
				EntityLoad("data/entities/items/pickup/ore_iron.xml", x, y)
			end
			EntityKill(colliding_entity_id)
		elseif(stone_name == "stone_copper") then
			for i=1,howManyNuggets do
				EntityLoad("data/entities/items/pickup/ore_copper.xml", x, y)
			end
			EntityKill(colliding_entity_id)
		elseif(stone_name == "stone_gold") then
			for i=1,howManyNuggets do
				EntityLoad("data/entities/items/pickup/ore_gold.xml", x, y)
			end
			EntityKill(colliding_entity_id)
		elseif(stone_name == "stone_jade") then
			for i=1,howManyNuggets do
				EntityLoad("data/entities/items/pickup/ore_jade.xml", x, y)
			end
			EntityKill(colliding_entity_id)
		elseif(stone_name == "stone_amethyst") then
			for i=1,howManyNuggets do
				EntityLoad("data/entities/items/pickup/ore_amethyst.xml", x, y)
			end
			EntityKill(colliding_entity_id)
		elseif(stone_name == "stone_diamond") then
			for i=1,howManyNuggets do
				EntityLoad("data/entities/items/pickup/ore_diamond.xml", x, y)
			end
			EntityKill(colliding_entity_id)
		elseif(stone_name == "stone_ruby") then
			for i=1,howManyNuggets do
				EntityLoad("data/entities/items/pickup/ore_ruby.xml", x, y)
			end
			EntityKill(colliding_entity_id)
		elseif(stone_name == "stone_purple_fluorite") then
			for i=1,howManyNuggets do
				EntityLoad("data/entities/items/pickup/ore_purple_fluorite.xml", x, y)
			end
			EntityKill(colliding_entity_id)
		end

end