local entity_id = GetUpdatedEntityID()
local creature_hit_id = EntityGetRootEntity( entity_id )

if(not EntityHasTag( creature_hit_id, "enemy" )) then
	return
end

-- Adds particle emitter to enemy, so that it spawns the required material
EntityAddComponent2(entity_id, "ParticleEmitterComponent", {
	emitted_material_name="nitroglycerin",
	x_pos_offset_min=-1,
	x_pos_offset_max=1,
	y_pos_offset_max=0,
	x_vel_min=-7,
	x_vel_max=7,
	y_vel_min=80,
	y_vel_max=180,
	count_min=1,
	count_max=2,
	lifetime_min=5,
	lifetime_max=5,
	create_real_particles=true,
	emit_cosmetic_particles=true,
	emission_interval_min_frames=0,
	emission_interval_max_frames=1,
	is_emitting=true
})