dofile_once("data/scripts/thearmory_generic_functions.lua")
dofile_once("data/scripts/lib/utilities.lua")

local entity_id = GetUpdatedEntityID()
local creature_hit_id = EntityGetRootEntity(entity_id)
local x, y = EntityGetTransform(creature_hit_id)
local projectile_id = EntityGetClosestWithTag( x, y, "syringe" )

if(not EntityHasTag( creature_hit_id, "enemy" )) then
	EntityKill(projectile_id)
	return
end

EntityRemoveTag( projectile_id, "syringe")

local sprite_component_id = EntityGetFirstComponent(projectile_id , "SpriteComponent" )

-- Removes then reinserts SpriteComponent, updating its sprite file to that of the empty syringe
EntityRemoveComponent( projectile_id , sprite_component_id )

EntityAddComponent(projectile_id, "SpriteComponent", {
	_enabled="1",
	alpha="1", 
	image_file="data/projectiles_gfx/syringe_empty.xml", --
	next_rect_animation="",
	rect_animation=""
})

