dofile_once("data/scripts/lib/utilities.lua")
dofile_once("data/scripts/thearmory_utilities.lua")

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)
SetRandomSeed( GameGetFrameNum(), x + y + entity_id )

local players = EntityGetInRadiusWithTag(x, y, 40, "player_unit")

local blizzardwizard_id = EntityGetWithName( "blizzardwizard.xml" )

-- Sets the shooter of the field as the blizzard wizard
comp_ids = EntityGetComponent( entity_id, "ProjectileComponent" )

if( comp_ids ~= nil ) then
	ComponentSetValue( comp_ids[1], "mWhoShot", blizzardwizard_id)
	ComponentSetValue( comp_ids[1], "mShooterHerdId", getSpeciesFromEnemyEntity(blizzardwizard_id))
end

-- freezes player
for i, player_id in ipairs(players) do
	SetRandomSeed( GameGetFrameNum(), x + y + entity_id )
	if(Random(1,2) == 1) then -- 50% chance of being frozen if caught inside field
		if(GameGetGameEffectCount(player_id, "FROZEN") == 0) then
			GetGameEffectLoadTo( player_id, "FROZEN", true )
		end
	end
end



