-- obtains spawn location
local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform( entity_id )

-- spawn rat
SetRandomSeed( GameGetFrameNum(), x + y + entity_id)
local rat_chance = Random(1,12)
local rat_id = nil
if(rat_chance >= 1 and rat_chance <= 9) then
	rat_id = EntityLoad("data/entities/animals/rat.xml", x, y)
elseif(rat_chance == 10) then
	rat_id = EntityLoad("data/entities/animals/rat_tnt.xml", x, y)
elseif(rat_chance == 11) then
	rat_id = EntityLoad("data/entities/animals/rat_acid.xml", x, y)
elseif(rat_chance == 12) then
	rat_id = EntityLoad("data/entities/animals/rat_magicstone.xml", x, y)
end

-- strips rat from script_death lua callbacks to prevent it from dropping rewards upon death
local rat_luaComponents = EntityGetComponent( rat_id, "LuaComponent" )
for i,component in ipairs(rat_luaComponents) do
	
	if(ComponentGetValue2( component, "script_source_file" ) ~= "data/scripts/animals/rat_suicide.lua") then
		EntityRemoveComponent(rat_id, component)
	end
end
