dofile_once("data/scripts/lib/utilities.lua")
dofile_once("data/scripts/lib/coroutines.lua")
dofile_once("data/scripts/thearmory_generic_functions.lua")

async(function()
	
	local entity_id = GetUpdatedEntityID()
	local explosion_pos_x, explosion_pos_y = EntityGetTransform(entity_id)
	
	local vel_x = 0
	local vel_y = 1000
	
	-- obtains id of the redbladebot so that projectiles shot in this script don't damage it
	local lasermeleebot_id = EntityGetWithName( "lasermeleebot.xml" )
	
	-- positive x -> right side explosion
	-- negative x -> left side explosion
	wait(12)
	
	local projectile_id = EntityLoad("data/entities/projectiles/enemy_projectiles/energywavelaser_waveprojectile.xml", explosion_pos_x + 10, explosion_pos_y - 8)
	comp_ids = EntityGetComponent( projectile_id, "VelocityComponent" )
	if( comp_ids ~= nil ) then
		ComponentSetValueVector2( comp_ids[1], "mVelocity", vel_x, vel_y)
	end
	comp_ids = EntityGetComponent( projectile_id, "ProjectileComponent" )
	if( comp_ids ~= nil ) then
		ComponentSetValue( comp_ids[1], "mWhoShot", lasermeleebot_id)
		ComponentSetValue( comp_ids[1], "mShooterHerdId", getSpeciesFromEnemyEntity(lasermeleebot_id))
	end
	
	local projectile_id = EntityLoad("data/entities/projectiles/enemy_projectiles/energywavelaser_waveprojectile.xml", explosion_pos_x - 10, explosion_pos_y - 8)
	comp_ids = EntityGetComponent( projectile_id, "VelocityComponent" )
	if( comp_ids ~= nil ) then
		ComponentSetValueVector2( comp_ids[1], "mVelocity", vel_x, vel_y)
	end
	comp_ids = EntityGetComponent( projectile_id, "ProjectileComponent" )
	if( comp_ids ~= nil ) then
		ComponentSetValue( comp_ids[1], "mWhoShot", lasermeleebot_id)
		ComponentSetValue( comp_ids[1], "mShooterHerdId", getSpeciesFromEnemyEntity(lasermeleebot_id))
	end
	
	wait(12)
	
	local projectile_id = EntityLoad("data/entities/projectiles/enemy_projectiles/energywavelaser_waveprojectile.xml", explosion_pos_x + 20, explosion_pos_y - 8)
	comp_ids = EntityGetComponent( projectile_id, "VelocityComponent" )
	if( comp_ids ~= nil ) then
		ComponentSetValueVector2( comp_ids[1], "mVelocity", vel_x, vel_y)
	end
	comp_ids = EntityGetComponent( projectile_id, "ProjectileComponent" )
	if( comp_ids ~= nil ) then
		ComponentSetValue( comp_ids[1], "mWhoShot", lasermeleebot_id)
		ComponentSetValue( comp_ids[1], "mShooterHerdId", getSpeciesFromEnemyEntity(lasermeleebot_id))
	end
	
	local projectile_id = EntityLoad("data/entities/projectiles/enemy_projectiles/energywavelaser_waveprojectile.xml", explosion_pos_x - 20, explosion_pos_y - 8)
	comp_ids = EntityGetComponent( projectile_id, "VelocityComponent" )
	if( comp_ids ~= nil ) then
		ComponentSetValueVector2( comp_ids[1], "mVelocity", vel_x, vel_y)
	end
	comp_ids = EntityGetComponent( projectile_id, "ProjectileComponent" )
	if( comp_ids ~= nil ) then
		ComponentSetValue( comp_ids[1], "mWhoShot", lasermeleebot_id)
		ComponentSetValue( comp_ids[1], "mShooterHerdId", getSpeciesFromEnemyEntity(lasermeleebot_id))
	end
	
	wait(12)
	
	local projectile_id = EntityLoad("data/entities/projectiles/enemy_projectiles/energywavelaser_waveprojectile.xml", explosion_pos_x + 30, explosion_pos_y - 8)
	comp_ids = EntityGetComponent( projectile_id, "VelocityComponent" )
	if( comp_ids ~= nil ) then
		ComponentSetValueVector2( comp_ids[1], "mVelocity", vel_x, vel_y)
	end
	comp_ids = EntityGetComponent( projectile_id, "ProjectileComponent" )
	if( comp_ids ~= nil ) then
		ComponentSetValue( comp_ids[1], "mWhoShot", lasermeleebot_id)
		ComponentSetValue( comp_ids[1], "mShooterHerdId", getSpeciesFromEnemyEntity(lasermeleebot_id))
	end
	
	local projectile_id = EntityLoad("data/entities/projectiles/enemy_projectiles/energywavelaser_waveprojectile.xml", explosion_pos_x - 30, explosion_pos_y - 8)
	comp_ids = EntityGetComponent( projectile_id, "VelocityComponent" )
	if( comp_ids ~= nil ) then
		ComponentSetValueVector2( comp_ids[1], "mVelocity", vel_x, vel_y)
	end
	comp_ids = EntityGetComponent( projectile_id, "ProjectileComponent" )
	if( comp_ids ~= nil ) then
		ComponentSetValue( comp_ids[1], "mWhoShot", lasermeleebot_id)
		ComponentSetValue( comp_ids[1], "mShooterHerdId", getSpeciesFromEnemyEntity(lasermeleebot_id))
	end
	
	wait(12)
	
	local projectile_id = EntityLoad("data/entities/projectiles/enemy_projectiles/energywavelaser_waveprojectile.xml", explosion_pos_x + 40, explosion_pos_y - 8)
	comp_ids = EntityGetComponent( projectile_id, "VelocityComponent" )
	if( comp_ids ~= nil ) then
		ComponentSetValueVector2( comp_ids[1], "mVelocity", vel_x, vel_y)
	end
	comp_ids = EntityGetComponent( projectile_id, "ProjectileComponent" )
	if( comp_ids ~= nil ) then
		ComponentSetValue( comp_ids[1], "mWhoShot", lasermeleebot_id)
		ComponentSetValue( comp_ids[1], "mShooterHerdId", getSpeciesFromEnemyEntity(lasermeleebot_id))
	end
	
	local projectile_id = EntityLoad("data/entities/projectiles/enemy_projectiles/energywavelaser_waveprojectile.xml", explosion_pos_x - 40, explosion_pos_y - 8)
	comp_ids = EntityGetComponent( projectile_id, "VelocityComponent" )
	if( comp_ids ~= nil ) then
		ComponentSetValueVector2( comp_ids[1], "mVelocity", vel_x, vel_y)
	end
	comp_ids = EntityGetComponent( projectile_id, "ProjectileComponent" )
	if( comp_ids ~= nil ) then
		ComponentSetValue( comp_ids[1], "mWhoShot", lasermeleebot_id)
		ComponentSetValue( comp_ids[1], "mShooterHerdId", getSpeciesFromEnemyEntity(lasermeleebot_id))
	end
	
	wait(12)
	
	local projectile_id = EntityLoad("data/entities/projectiles/enemy_projectiles/energywavelaser_waveprojectile.xml", explosion_pos_x + 50, explosion_pos_y - 8)
	comp_ids = EntityGetComponent( projectile_id, "VelocityComponent" )
	if( comp_ids ~= nil ) then
		ComponentSetValueVector2( comp_ids[1], "mVelocity", vel_x, vel_y)
	end
	comp_ids = EntityGetComponent( projectile_id, "ProjectileComponent" )
	if( comp_ids ~= nil ) then
		ComponentSetValue( comp_ids[1], "mWhoShot", lasermeleebot_id)
		ComponentSetValue( comp_ids[1], "mShooterHerdId", getSpeciesFromEnemyEntity(lasermeleebot_id))
	end
	
	local projectile_id = EntityLoad("data/entities/projectiles/enemy_projectiles/energywavelaser_waveprojectile.xml", explosion_pos_x - 50, explosion_pos_y - 8)
	comp_ids = EntityGetComponent( projectile_id, "VelocityComponent" )
	if( comp_ids ~= nil ) then
		ComponentSetValueVector2( comp_ids[1], "mVelocity", vel_x, vel_y)
	end
	comp_ids = EntityGetComponent( projectile_id, "ProjectileComponent" )
	if( comp_ids ~= nil ) then
		ComponentSetValue( comp_ids[1], "mWhoShot", lasermeleebot_id)
		ComponentSetValue( comp_ids[1], "mShooterHerdId", getSpeciesFromEnemyEntity(lasermeleebot_id))
	end

end)