dofile_once("data/scripts/thearmory_generic_functions.lua")

local entity_id = GetUpdatedEntityID()
local pos_x, pos_y = EntityGetTransform( entity_id )

local eggplant_id = EntityGetWithName( "eggplantwizard_magicstone.xml" )
if(eggplant_id == 0 or eggplant_id == nil) then
	eggplant_id = EntityGetWithName( "eggplantwizard.xml" )
end

SetRandomSeed( GameGetFrameNum(), pos_x + pos_y + entity_id )
local r = Random(15,20)

local how_many = r
local angle_inc = ( 2 * 3.14159 ) / how_many
local theta = 0
local length = 650

for i=1,how_many do
	local entity_id = EntityLoad( "data/entities/projectiles/light_bullet_custom.xml", pos_x, pos_y)

	comp_ids = EntityGetComponent( entity_id, "ProjectileComponent" )
	if( comp_ids ~= nil ) then
		ComponentSetValue( comp_ids[1], "mWhoShot", eggplant_id)
		ComponentSetValue( comp_ids[1], "mShooterHerdId", getSpeciesFromEnemyEntity(eggplant_id))
	end
	

	local vel_x = math.cos( theta ) * length
	local vel_y = math.sin( theta ) * length
	theta = theta + angle_inc

	comp_ids = EntityGetComponent( entity_id, "VelocityComponent" )

	if( comp_ids ~= nil ) then
		ComponentSetValueVector2( comp_ids[1], "mVelocity", vel_x, vel_y)
	end
end