dofile_once("data/scripts/lib/utilities.lua")

local entity_id = GetUpdatedEntityID()  

EntityAddComponent(entity_id, "ItemComponent", {
	_tags="enabled_in_world",
    auto_pickup="1",
    item_name=EntityGetName(entity_id),
    stats_count_as_item_pick_up="0",
    max_child_items="0",
    is_pickable="1",
    ui_sprite="data/ui_gfx/items/goldnugget.png",
    ui_description="Lorem ipsum",
    play_pick_sound="1",
    preferred_inventory="FULL"
})

EntityAddComponent(entity_id, "LuaComponent", {
	script_item_picked_up="data/scripts/items/recoverable_projectile_recover.lua"
})

--[[
edit_component( entity_id, "PhysicsBodyComponent", function(comp,vars)
	vars._tags="enabled_in_world"
	vars.uid=1
	vars.allow_sleep=1
	vars.angular_damping=0
	vars.fixed_rotation=0
	vars.is_bullet=0
	vars.linear_damping=0
	vars.auto_clean=0
	vars.hax_fix_going_through_ground=1
	vars.on_death_leave_physics_body=1
end)
]]