dofile_once("data/scripts/thearmory_generic_functions.lua")

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)

-- detects either throw button or right mouse click
local controlsComponent_id = EntityGetFirstComponent(getPlayerEntity(), "ControlsComponent")
local rightMouseButton_clicked = ComponentGetValueInt( controlsComponent_id, "mButtonFrameRightClick" ) == GameGetFrameNum()
--local throwButton_clicked = ComponentGetValueInt( controlsComponent_id, "mButtonFrameThrow" ) == GameGetFrameNum()

-- if any button has been clicked, detonates all c4 in the vicinity
if(rightMouseButton_clicked) then
	
	local c4_explosives = EntityGetInRadiusWithTag(x, y, 300, "remotely_triggered_explosive")

	for i, c4_explosive_id in ipairs(c4_explosives) do
		if(EntityGetName(c4_explosive_id) == "C4 Explosive") then -- this must take the name of entity, so that the right entities can be triggered
			EntityKill(c4_explosive_id)
		end
	end
end