dofile_once("data/scripts/lib/utilities.lua")
dofile_once("data/scripts/thearmory_generic_functions.lua")

local entity_id = GetUpdatedEntityID()

local pos_x, pos_y = EntityGetTransform( entity_id )
SetRandomSeed( GameGetFrameNum(), pos_x + pos_y + entity_id )

for i=1,8 do
	-- obtains velocity in random angles

	local angle = math.rad(Random(0,359))
	local length = 10000

	local vel_x = math.cos( angle ) * length
	local vel_y = 0 - math.sin( angle ) * length
	
	-- stores velocity settings on tripwire i variables
	setValueStorageComponent("laser" .. i .. "_vel_x", vel_x, entity_id, "value_int")
	setValueStorageComponent("laser" .. i .. "_vel_y", vel_y, entity_id, "value_int")
	
	-- GamePrint("tripwire " .. i .. " velocity set")
end


