dofile_once("data/scripts/thearmory_generic_functions.lua")

local entity_id = GetUpdatedEntityID()

-- obtains connected enemy from storage variable
local connected_enemy_id = getValueStorageComponent("connected_enemy_id", entity_id, "value_int")

-- updates coordinates based on connected enemy
local connected_enemy_x, connected_enemy_y = EntityGetTransform(connected_enemy_id)
EntitySetTransform(entity_id, connected_enemy_x, connected_enemy_y)
if(connected_enemy_x ~= nil and connected_enemy_y ~= nil) then
	setValueStorageComponent("connected_enemy_pos_x", connected_enemy_x, entity_id, "value_int")
	setValueStorageComponent("connected_enemy_pos_y", connected_enemy_y, entity_id, "value_int")
end

-- checks if connected enemy is still alive, if not, detonates mine
if(not EntityGetIsAlive(connected_enemy_id)) then
	local connect_enemy_last_x = getValueStorageComponent("connected_enemy_pos_x", entity_id, "value_int")
	local connect_enemy_last_y = getValueStorageComponent("connected_enemy_pos_y", entity_id, "value_int")
	--GamePrint("connected enemy last seen at x " .. connect_enemy_last_x .. " and y " .. connect_enemy_last_y)
	EntitySetTransform(entity_id, connect_enemy_last_x, connect_enemy_last_y)
	EntityKill(entity_id)
end