dofile_once("data/scripts/thearmory_generic_functions.lua")

local entity_id = GetUpdatedEntityID()
local pos_x, pos_y = EntityGetTransform( entity_id )

-- in this case, projectiles are shot by an explosion when the minion dies so the shooter id is set to the entity that spawned the minion
local technobubble_id = EntityGetWithName( "technobubble_master.xml" ) 

SetRandomSeed( GameGetFrameNum(), pos_x + pos_y + entity_id )
local r = Random(8,10)

local how_many = r
local angle_inc = ( 2 * 3.14159 ) / how_many
local theta = 0
local length = 160

for i=1,how_many do
	local entity_id = EntityLoad( "data/entities/projectiles/enemy_projectiles/bubbletrap_weak.xml", pos_x, pos_y)

	comp_ids = EntityGetComponent( entity_id, "ProjectileComponent" )
	if( comp_ids ~= nil ) then
		ComponentSetValue( comp_ids[1], "mWhoShot", technobubble_id)
		ComponentSetValue( comp_ids[1], "mShooterHerdId", getSpeciesFromEnemyEntity(technobubble_id))
	end


	local vel_x = math.cos( theta ) * length
	local vel_y = math.sin( theta ) * length
	theta = theta + angle_inc

	comp_ids = EntityGetComponent( entity_id, "VelocityComponent" )

	if( comp_ids ~= nil ) then
		ComponentSetValueVector2( comp_ids[1], "mVelocity", vel_x, vel_y)
	end
end