function collision_trigger(colliding_entity_id)
	
	if EntityHasTag(colliding_entity_id, "enemy") then
	
		local projectile = GetUpdatedEntityID()
		local component = EntityGetFirstComponent(projectile , "SpriteComponent" )
		EntityRemoveComponent( projectile , component )
		
		-- When callback is called, switches to the empty syringe sprite
		EntityAddComponent(projectile, "SpriteComponent", {
			_enabled="1",
			alpha="1", 
			image_file="data/projectiles_gfx/syringe_empty.xml", 
			next_rect_animation="",
			rect_animation=""
		})
	end	
end