dofile_once("data/scripts/thearmory_utilities.lua")

function collision_trigger(colliding_entity_id)
	
	if EntityHasTag(colliding_entity_id, "disarmable_trap") then
		
		local x, y = EntityGetTransform(colliding_entity_id)
		
		local components = EntityGetComponent( colliding_entity_id, "ExplosionComponent" )
		for i,component_id in ipairs( components ) do
			--GamePrint("ExplosionComponent: " .. component_id)
			ComponentSetValue( component_id, "trigger", "" )
			EntityRemoveComponent( colliding_entity_id, component_id )
		end
		
		-- loads custom explosion sprite
		EntityLoad("data/entities/explosion_trap_disarmed.xml", x, y)
	
		EntityKill(colliding_entity_id)
		addPlayerAmmo(5, "grenades_ammo", "Grenades")
		GamePrint("You have disarmed a trap and earned 5 grenades ammo")
	end	
end