dofile_once("data/scripts/thearmory_utilities.lua")

function collision_trigger(colliding_entity_id)

	local sellValue_regular = 100
	local sellValue_miniboss = 200

	--GamePrint("Vending Machine hitbox triggered")
	
	local x, y = EntityGetTransform(colliding_entity_id)
	
	-- regular weapons
	if (EntityHasTag(colliding_entity_id, "custom_wand")) then
		-- Checks first if wand entity is parentless (it becomes parentless when dropped on the ground)
		if(isObjectDropped(colliding_entity_id)) then 
			addPlayerGold(sellValue_regular)
			EntityLoad("data/entities/particles/image_emitters/chest_effect_green.xml", x, y)
			GamePrintImportant( "You sold a regular weapon and earned " .. sellValue_regular .. " Gold!", "" )	
			EntityKill(colliding_entity_id)
		else 
			return
		end
	-- miniboss dropped weapons
	elseif (EntityHasTag(colliding_entity_id, "boss_reward_wand")) then
		-- Checks first if wand entity is parentless (it becomes parentless when dropped on the ground)
		if(isObjectDropped(colliding_entity_id)) then 
			addPlayerGold(sellValue_miniboss)
			EntityLoad("data/entities/particles/image_emitters/chest_effect_green.xml", x, y)
			GamePrintImportant( "You sold a miniboss weapon and earned " .. sellValue_miniboss .. " Gold!", "" )	
			EntityKill(colliding_entity_id)
		else 
			return
		end
	end


end