$wandsListFilePath = "C:\Program Files (x86)\Steam\steamapps\common\Noita\mods\TheArmory\files\wands_list.lua"
$wandFilesPAth = "C:\Program Files (x86)\Steam\steamapps\common\Noita\mods\TheArmory\data\entities\items"
$wandFiles = Get-ChildItem $wandFilesPAth | Where-Object { !$_.PSIsContainer }
$fileCount = 0
foreach($wandFile in $wandFiles) {
	
	$pattern_find_file = 'ui_name=".*"'
	
	$query = Select-String -Path $wandFile.FullName -Pattern $pattern_find_file | Select-Object -ExpandProperty Line
	$queryParts = $query.Split('=').Replace('"', '') # separates prop name from value
	$uiName = $queryParts[1] # obtains value to another variable
	
	$pattern_find_list = 'ui_name = "' + $wandFile.Name + '"'
	$pattern_replace_list = 'ui_name="' + $uiName + '"'

	Write-Host ($wandFile.Name + " ui_name is '" + $uiName + "', replacing...") -f "yellow"
	
	((Get-Content -path $wandsListFilePath -Raw) -replace $pattern_find_list, $pattern_replace_list) | Set-Content -Path $wandsListFilePath
	
	$fileCount++
}

Write-Host $fileCount -f c