$path = "<put your projectiles full path here>"
$lineBreak = "`r`n"

$projectileFiles = Get-ChildItem -Path $path
foreach($file in $projectileFiles) {
	$projectileFilePath = $path + $file
	
	$replaceRule = '<VariableStorageComponent' + $lineBreak + '	name="projectile_file"' + $lineBreak + '	value_string="' + $projectileFilePath + '">' + $lineBreak + '</VariableStorageComponent>' + $lineBreak + '	</Entity>'
	
	((Get-Content -path $projectileFilePath -Raw) -replace '</Entity>', $replaceRule.replace("\", "/")) | Set-Content -Path $projectileFilePath
}

