$wandsListFilePath = "C:\Program Files (x86)\Steam\steamapps\common\Noita\mods\TheArmory\files\wands_list.lua"
$wandFiles = Get-ChildItem 'C:\Program Files (x86)\Steam\steamapps\common\Noita\mods\TheArmory\data\entities\items' | Where-Object { !$_.PSIsContainer }
$fileCount = 0
foreach($wandFile in $wandFiles) {
	# Write-Host($wandFile.Name)
	$pattern = '		file_name = "' + $wandFile.Name + '"'
	
	$query = Select-String -Path $wandsListFilePath -Pattern $pattern

	if ($query -ne $null)
	{
		Write-Host ($wandFile.Name + " is present in wands_list.lua") -f "green"
	}
	else
	{
		Write-Host ($wandFile.Name + " is not present in wands_list.lua") -f "red"
	}
	$fileCount++
}

Write-Host $fileCount -f c