dofile_once("data/scripts/thearmory_generic_functions.lua")

function collision_trigger(colliding_entity_id)
	
	-- this will only capture entities with the clonable tag
	if EntityHasTag(colliding_entity_id, "clonable") then
		
		local x, y = EntityGetTransform(colliding_entity_id)
		
		--[[
		local components = EntityGetComponent( colliding_entity_id, "ExplosionComponent" )
		for i,component_id in ipairs( components ) do
			--GamePrint("ExplosionComponent: " .. component_id)
			ComponentSetValue( component_id, "trigger", "" )
			EntityRemoveComponent( colliding_entity_id, component_id )
		end
		]]
		
		local entityName = EntityGetName(colliding_entity_id)
		local entityPath = "data/entities/" .. entityName
		
		setStringValuePlayerStorageComp("clonedobject", entityPath)
		
		-- loads custom explosion sprite
		EntityLoad("data/entities/explosion_object_clonned.xml", x, y)
		
		GamePrint("Object clonned. To shoot whatever you have clonned, use the Printer Device")
		
		EntityKill(colliding_entity_id)

	end	
end