-- dofile_once("mods/TheArmory/files/recipes_list.lua")

function collision_trigger(colliding_entity_id)

	local x, y = EntityGetTransform(colliding_entity_id)
	
	SetRandomSeed( GameGetFrameNum(), x + y + colliding_entity_id )
	local primaryChance = Random(1,4) -- determines what crafting part type will spawn
	local secondaryChance = Random(1,3) -- determines amount for individual types
	if(primaryChance == 1) then
		if(secondaryChance == 1) then
			EntityLoad("data/entities/items/pickup/crafting_parts_ammo.xml", x, y)
		elseif(secondaryChance == 2) then
			EntityLoad("data/entities/items/pickup/crafting_parts_ammo.xml", x, y)
			EntityLoad("data/entities/items/pickup/crafting_parts_ammo.xml", x, y)
		elseif(secondaryChance == 3) then
			EntityLoad("data/entities/items/pickup/crafting_parts_ammo.xml", x, y)
			EntityLoad("data/entities/items/pickup/crafting_parts_ammo.xml", x, y)
			EntityLoad("data/entities/items/pickup/crafting_parts_ammo.xml", x, y)
		end
	elseif(primaryChance == 2) then
		if(secondaryChance == 1) then
			EntityLoad("data/entities/items/pickup/crafting_parts_weapon.xml", x, y)
		elseif(secondaryChance == 2) then
			EntityLoad("data/entities/items/pickup/crafting_parts_weapon.xml", x, y)
			EntityLoad("data/entities/items/pickup/crafting_parts_weapon.xml", x, y)
		elseif(secondaryChance == 3) then
			EntityLoad("data/entities/items/pickup/crafting_parts_weapon.xml", x, y)
			EntityLoad("data/entities/items/pickup/crafting_parts_weapon.xml", x, y)
			EntityLoad("data/entities/items/pickup/crafting_parts_weapon.xml", x, y)
		end
	elseif(primaryChance == 3) then
		if(secondaryChance == 1) then
			EntityLoad("data/entities/items/pickup/crafting_parts_trinket.xml", x, y)
		elseif(secondaryChance == 2) then
			EntityLoad("data/entities/items/pickup/crafting_parts_trinket.xml", x, y)
			EntityLoad("data/entities/items/pickup/crafting_parts_trinket.xml", x, y)
		elseif(secondaryChance == 3) then
			EntityLoad("data/entities/items/pickup/crafting_parts_trinket.xml", x, y)
			EntityLoad("data/entities/items/pickup/crafting_parts_trinket.xml", x, y)
			EntityLoad("data/entities/items/pickup/crafting_parts_trinket.xml", x, y)
		end
	elseif(primaryChance == 4) then
		EntityLoad("data/entities/items/pickup/crafting_parts_ammo.xml", x, y)
		EntityLoad("data/entities/items/pickup/crafting_parts_weapon.xml", x, y)
		EntityLoad("data/entities/items/pickup/crafting_parts_trinket.xml", x, y)
	end


	-- Kills supply box
	EntityKill(colliding_entity_id)

end