dofile_once("data/scripts/lib/utilities.lua")
dofile_once("data/scripts/lib/coroutines.lua")

async(function()
	
	--GamePrint("effect triggered")
	
	local trinketMultiplier = 1
	local damageThreshold = 0.08 * trinketMultiplier
	local ticks = 20
	
	local entity = GetUpdatedEntityID()
	local x, y = EntityGetTransform(entity)
	local creature_hit = EntityGetClosestWithTag(x, y, "mortal")
	
	SetRandomSeed( GameGetFrameNum(), x + y + entity )
	
	for i=1,ticks do 
		wait(15)
		if(EntityGetIsAlive(creature_hit)) then
			--GamePrint("Entity ID - " .. creature_hit)
			local explosion_x, explosion_y = EntityGetTransform(creature_hit)
			--GamePlaySound( "data/audio/Desktop/explosion.snd", "explosion_tnt", x, y )
			EntityLoad("data/entities/explosion_explosium.xml", explosion_x + Random(15, -15), explosion_y + Random(15, -15))
			--EntityInflictDamage( creature_hit, damageThreshold, "DAMAGE_EXPLOSION", "exploding", "NORMAL", 0, 0)
		else
			return
		end
	end
end)