dofile_once("mods/TheArmory/files/trinkets_list.lua")

dofile_once("data/scripts/lib/utilities.lua")

local entity_id    = GetUpdatedEntityID()
entity_id = EntityGetRootEntity( entity_id )

local pos_x, pos_y = EntityGetTransform( entity_id )

SetRandomSeed( GameGetFrameNum(), pos_x + pos_y + entity_id )

local angle = math.rad(Random(0,359))
local length = 450

local vel_x = math.cos( angle ) * length
local vel_y = 0 - math.sin( angle ) * length

shoot_projectile( entity_id, "data/entities/projectiles/materialline_short_liquid_fire.xml", pos_x, pos_y, vel_x, vel_y )

local damageThreshold = 0.03 * applyTrinketsEffects_SkullFlask()
EntityInflictDamage( entity_id, damageThreshold, "DAMAGE_MATERIAL", "burning", "BLOOD_SPRAY", 0, 0)