local entity_id = GetUpdatedEntityID()
entity_id = EntityGetRootEntity( entity_id )
local x, y = EntityGetTransform(entity_id)

for i, component in ipairs(EntityGetComponent(entity_id, "VariableStorageComponent") or {}) do
	if ComponentGetValue2(component, "name") == "is_cloned" then
		do return end
	end
end

local animalPath = ""

if(EntityHasTag(entity_id, "player_unit")) then
    animalPath = "data/entities/animals/playerghost.xml" -- "data/entities/player.xml"
else
    local spriteComponent = EntityGetFirstComponent( entity_id, "SpriteComponent")
    local spritePath = ComponentGetValue( spriteComponent, "image_file" )
    animalPath = string.gsub(spritePath, "data/enemies_gfx/", "data/entities/animals/")
end

if(animalPath ~= "") then
	SetRandomSeed( GameGetFrameNum(), x + y + entity_id )
	local clonnedCreature = EntityLoad(animalPath, x + Random(15, -15), y + Random(5, 10))

	EntityAddComponent2(clonnedCreature, "VariableStorageComponent", {
	  _tags = "no_gold_drop", 
	})
	EntityAddComponent2(clonnedCreature, "VariableStorageComponent", {
	  name = "is_cloned"
	})
end



--[[
local entity_id = GetUpdatedEntityID()
entity_id = EntityGetRootEntity( entity_id )
local x, y = EntityGetTransform(entity_id)

local animalPath = ""

if(EntityHasTag(entity_id, "player_unit")) then
    animalPath = "data/entities/animals/playerghost.xml"
else
    local spriteComponent = EntityGetFirstComponent( entity_id, "SpriteComponent")
    local spritePath = ComponentGetValue( spriteComponent, "image_file" )
    animalPath = string.gsub(spritePath, "data/enemies_gfx/", "data/entities/animals/")
end

SetRandomSeed( GameGetFrameNum(), x + y + entity_id )
local clonnedCreature = EntityLoad(animalPath, x + Random(15, -15), y + Random(5, 10))

EntityAddComponent2(clonnedCreature, "VariableStorageComponent", {
	_tags = "no_gold_drop", 
})
]]