local entity_id = GetUpdatedEntityID()
entity_id = EntityGetRootEntity( entity_id )

-- Adds ExplosionComponent with a timer to enable enemy to explode
local ec_id = EntityAddComponent2(entity_id, "ExplosionComponent", {
	timeout_frames=80,
	trigger="ON_TIMER"
})

ComponentObjectSetValue2( ec_id, "config_explosion", "never_cache", true )
ComponentObjectSetValue2( ec_id, "config_explosion", "damage", 10 )
ComponentObjectSetValue2( ec_id, "config_explosion", "camera_shake", 15 )
ComponentObjectSetValue2( ec_id, "config_explosion", "explosion_radius", 55 )
ComponentObjectSetValue2( ec_id, "config_explosion", "explosion_sprite", "data/particles/explosion_128_hugebullet.xml" )
ComponentObjectSetValue2( ec_id, "config_explosion", "load_this_entity", "data/entities/particles/particle_explosion/main_gunpowder_large.xml" )
ComponentObjectSetValue2( ec_id, "config_explosion", "explosion_sprite_lifetime", 0 )
ComponentObjectSetValue2( ec_id, "config_explosion", "hole_destroy_liquid", false )
ComponentObjectSetValue2( ec_id, "config_explosion", "hole_enabled", true )
ComponentObjectSetValue2( ec_id, "config_explosion", "ray_energy", 4000000 )
ComponentObjectSetValue2( ec_id, "config_explosion", "explosion_sprite_additive", true )
ComponentObjectSetValue2( ec_id, "config_explosion", "particle_effect", false )
ComponentObjectSetValue2( ec_id, "config_explosion", "damage_mortals", true )
ComponentObjectSetValue2( ec_id, "config_explosion", "physics_throw_enabled", true )
ComponentObjectSetValue2( ec_id, "config_explosion", "shake_vegetation", true )
ComponentObjectSetValue2( ec_id, "config_explosion", "material_sparks_enabled", false )
ComponentObjectSetValue2( ec_id, "config_explosion", "light_enabled", false )
ComponentObjectSetValue2( ec_id, "config_explosion", "sparks_count_min", 35 )
ComponentObjectSetValue2( ec_id, "config_explosion", "sparks_count_max", 35 )
ComponentObjectSetValue2( ec_id, "config_explosion", "sparks_enabled", true )
ComponentObjectSetValue2( ec_id, "config_explosion", "stains_enabled", false )
ComponentObjectSetValue2( ec_id, "config_explosion", "audio_enabled", true )
ComponentObjectSetValue2( ec_id, "config_explosion", "audio_event_name", "explosions/box" )

--[[
EntityAddComponent2(entity_id, "LifetimeComponent", {
	lifetime=80
})
]]
