local entity_id    = GetUpdatedEntityID()
entity_id = EntityGetRootEntity( entity_id )
local x, y = EntityGetTransform(entity_id)
SetRandomSeed( GameGetFrameNum(), x + y + entity_id )
local explosion_id = EntityLoad("data/entities/explosion_slash_fire.xml", x + Random(10, -10), y + Random(10, -10))

local explosion_pos_x, explosion_pos_y = EntityGetTransform(explosion_id)
SetRandomSeed( GameGetFrameNum(), explosion_pos_x + explosion_pos_y + entity_id )

local angle = math.rad(Random(0,359))
local length = 450

local vel_x = math.cos( angle ) * length
local vel_y = 0 - math.sin( angle ) * length

local projectile_id = EntityLoad("data/entities/projectiles/materialline_short_lava.xml", explosion_pos_x, explosion_pos_y)
comp_ids = EntityGetComponent( projectile_id, "VelocityComponent" )
if( comp_ids ~= nil ) then
	ComponentSetValueVector2( comp_ids[1], "mVelocity", vel_x, vel_y)
end
comp_ids = EntityGetComponent( projectile_id, "ProjectileComponent" )
if( comp_ids ~= nil ) then
	ComponentSetValue( comp_ids[1], "mWhoShot", entity_id)
	ComponentSetValue( comp_ids[1], "mShooterHerdId", getSpeciesFromEnemyEntity(entity_id))
end