table.insert(status_effects, {
	id="CUSTOMEFFECT_BLEEDING",
	ui_name="Bleeding",
	ui_description="Causes bleed damage overtime",
	ui_icon="data/effects_gfx/bleeding.png",
	protects_from_fire=false,
	effect_entity="data/entities/custom_effects/effect_bleeding.xml",
});

table.insert(status_effects, {
	id="CUSTOMEFFECT_EXPLODING",
	ui_name="Exploding",
	ui_description="Causes random explosions around you",
	ui_icon="data/effects_gfx/exploding.png",
	protects_from_fire=false,
	effect_entity="data/entities/custom_effects/effect_exploding.xml",
});

table.insert(status_effects, {
	id="CUSTOMEFFECT_FREEZE_DAMAGE",
	ui_name="Freeze Damage",
	ui_description="Deals damage overtime with 50% chance of being frozen each time damage is taken",
	ui_icon="data/effects_gfx/freeze_damage.png",
	protects_from_fire=true,
	effect_entity="data/entities/custom_effects/effect_freeze_damage.xml",
});

table.insert(status_effects, {
	id="CUSTOMEFFECT_ACID_SPIT",
	ui_name="Acid Spit",
	ui_description="Causes you to periodically spit acid at random directions",
	ui_icon="data/effects_gfx/acid_spit.png",
	protects_from_fire=false,
	effect_entity="data/entities/custom_effects/effect_acid_spit.xml",
});

table.insert(status_effects, {
	id="CUSTOMEFFECT_OVERHEATED_ACID_SPIT",
	ui_name="Overheated Acid Spit",
	ui_description="Causes you to periodically spit overheated acid at random directions",
	ui_icon="data/effects_gfx/overheated_acid_spit.png",
	protects_from_fire=false,
	effect_entity="data/entities/custom_effects/effect_overheated_acid_spit.xml",
});

table.insert(status_effects, {
	id="CUSTOMEFFECT_ELECTROCUTION_DAMAGE",
	ui_name="Electrocution Damage",
	ui_description="Deals damage overtime with 50% chance of being electrocuted each time damage is taken",
	ui_icon="data/effects_gfx/electrocution_damage.png",
	protects_from_fire=true,
	effect_entity="data/entities/custom_effects/effect_electrocution_damage.xml",
});

table.insert(status_effects, {
	id="CUSTOMEFFECT_ENERGY_WAVES",
	ui_name="Energy Waves",
	ui_description="Causes you to periodically emmit energy waves that harm you and other creatures",
	ui_icon="data/effects_gfx/energy_waves.png",
	protects_from_fire=true,
	effect_entity="data/entities/custom_effects/effect_energy_waves.xml",
});

table.insert(status_effects, {
	id="CUSTOMEFFECT_POISON_SPIT",
	ui_name="Poison Spit",
	ui_description="Causes you to periodically spit poison at random directions",
	ui_icon="data/effects_gfx/poison_spit.png",
	protects_from_fire=false,
	effect_entity="data/entities/custom_effects/effect_poison_spit.xml",
});

table.insert(status_effects, {
	id="CUSTOMEFFECT_BURNING_DAMAGE",
	ui_name="Burning Damage",
	ui_description="Deals damage overtime with 50% chance of setting creatures on fire each time damage is taken",
	ui_icon="data/effects_gfx/burning_damage.png",
	protects_from_fire=true,
	effect_entity="data/entities/custom_effects/effect_burning_damage.xml",
});

table.insert(status_effects, {
	id="CUSTOMEFFECT_FORCE_UP",
	ui_name="Force Up",
	ui_description="Causes you to be forced up periodically",
	ui_icon="data/effects_gfx/force_up.png",
	protects_from_fire=false,
	effect_entity="data/entities/custom_effects/effect_force_up.xml",
});

table.insert(status_effects, {
	id="CUSTOMEFFECT_ATTRACTION",
	ui_name="Attraction",
	ui_description="Your body is magnetized, causing you to attract objects around",
	ui_icon="data/effects_gfx/attraction.png",
	protects_from_fire=false,
	effect_entity="data/entities/custom_effects/effect_attraction.xml",
});

table.insert(status_effects, {
	id="CUSTOMEFFECT_SLAP",
	ui_name="Force Up",
	ui_description="You take damaging slaps that force you to random directions",
	ui_icon="data/effects_gfx/slap.png",
	protects_from_fire=false,
	effect_entity="data/entities/custom_effects/effect_slap.xml",
});

table.insert(status_effects, {
	id="CUSTOMEFFECT_FORCE_DOWN",
	ui_name="Force Down",
	ui_description="Causes you to be forced down periodically",
	ui_icon="data/effects_gfx/force_down.png",
	protects_from_fire=false,
	effect_entity="data/entities/custom_effects/effect_force_down.xml",
});

table.insert(status_effects, {
	id="CUSTOMEFFECT_CLONE",
	ui_name="Clone",
	ui_description="Causes creatures to be cloned, or to spawn player ghosts around you in your case",
	ui_icon="data/effects_gfx/clone.png",
	protects_from_fire=false,
	effect_entity="data/entities/custom_effects/effect_clone.xml",
});

table.insert(status_effects, {
	id="CUSTOMEFFECT_BURNING_FIELD",
	ui_name="Burning Field",
	ui_description="A burning field is created around you, setting on fire other creatures that come in contact with it",
	ui_icon="data/effects_gfx/burning_field.png",
	protects_from_fire=false,
	effect_entity="data/entities/custom_effects/effect_burning_field.xml",
});

table.insert(status_effects, {
	id="CUSTOMEFFECT_CHILLING_FIELD",
	ui_name="Chilling Field",
	ui_description="A chilling field is created around you, freezing other creatures that come in contact with it",
	ui_icon="data/effects_gfx/chilling_field.png",
	protects_from_fire=false,
	effect_entity="data/entities/custom_effects/effect_chilling_field.xml",
});

table.insert(status_effects, {
	id="CUSTOMEFFECT_ZAPPING_FIELD",
	ui_name="Zapping Field",
	ui_description="An electricity field is created around you, electrocuting other creatures that come in contact with it",
	ui_icon="data/effects_gfx/zapping_field.png",
	protects_from_fire=false,
	effect_entity="data/entities/custom_effects/effect_zapping_field.xml",
});

table.insert(status_effects, {
	id="CUSTOMEFFECT_REPELLING_FIELD",
	ui_name="Repelling Field",
	ui_description="A repelling field is created around you, deflecting enemy projectiles and damaging other creatures that come in contact with it",
	ui_icon="data/effects_gfx/repelling_field.png",
	protects_from_fire=false,
	effect_entity="data/entities/custom_effects/effect_repelling_field.xml",
});

table.insert(status_effects, {
	id="CUSTOMEFFECT_SCORCHING_FIELD",
	ui_name="Scorching Field",
	ui_description="A repelling field is created around you, converting enemy projectiles into firebombs and dealing fire damage to cratures caught within it",
	ui_icon="data/effects_gfx/scorching_field.png",
	protects_from_fire=false,
	effect_entity="data/entities/custom_effects/effect_scorching_field.xml",
});

table.insert(status_effects, {
	id="CUSTOMEFFECT_LIGHTNING",
	ui_name="Lightning",
	ui_description="You spawn thunderbolts",
	ui_icon="data/effects_gfx/lightning.png",
	protects_from_fire=false,
	effect_entity="data/entities/custom_effects/effect_lightning.xml",
});

table.insert(status_effects, {
	id="CUSTOMEFFECT_INFERNO_WAVES",
	ui_name="Inferno Waves",
	ui_description="You periodically release inferno waves",
	ui_icon="data/effects_gfx/inferno_waves.png",
	protects_from_fire=false,
	effect_entity="data/entities/custom_effects/effect_inferno_waves.xml",
});

table.insert(status_effects, {
	id="CUSTOMEFFECT_THUNDER_WAVES",
	ui_name="Thunder Waves",
	ui_description="You periodically release thunder waves",
	ui_icon="data/effects_gfx/thunder_waves.png",
	protects_from_fire=false,
	effect_entity="data/entities/custom_effects/effect_thunder_waves.xml",
});

table.insert(status_effects, {
	id="CUSTOMEFFECT_ICE_WAVES",
	ui_name="Ice Waves",
	ui_description="You periodically release ice waves",
	ui_icon="data/effects_gfx/ice_waves.png",
	protects_from_fire=false,
	effect_entity="data/entities/custom_effects/effect_ice_waves.xml",
});

table.insert(status_effects, {
	id="CUSTOMEFFECT_ELECTRO_WAVES",
	ui_name="Electro Waves",
	ui_description="You periodically release electro waves",
	ui_icon="data/effects_gfx/electro_waves.png",
	protects_from_fire=false,
	effect_entity="data/entities/custom_effects/effect_electro_waves.xml",
});

table.insert(status_effects, {
	id="CUSTOMEFFECT_FORCE_DROP_ITEM",
	ui_name="Force Drop Item",
	ui_description="Forces you to drop items you equip",
	ui_icon="data/effects_gfx/force_drop_item.png",
	protects_from_fire=false,
	effect_entity="data/entities/custom_effects/effect_force_drop_item.xml",
});

table.insert(status_effects, {
	id="CUSTOMEFFECT_SLASHING",
	ui_name="Slashing",
	ui_description="Causes random slashes around you",
	ui_icon="data/effects_gfx/slashing.png",
	protects_from_fire=false,
	effect_entity="data/entities/custom_effects/effect_slashing.xml",
});

table.insert(status_effects, {
	id="CUSTOMEFFECT_SLASHING_ACID",
	ui_name="Acid Slashing",
	ui_description="Causes random acid slashes around you",
	ui_icon="data/effects_gfx/slashing_acid.png",
	protects_from_fire=false,
	effect_entity="data/entities/custom_effects/effect_slashing_acid.xml",
});

table.insert(status_effects, {
	id="CUSTOMEFFECT_SLASHING_OVERHEATED_ACID",
	ui_name="Overheated Acid Slashing",
	ui_description="Causes random overheated acid slashes around you",
	ui_icon="data/effects_gfx/slashing_overheated_acid.png",
	protects_from_fire=false,
	effect_entity="data/entities/custom_effects/effect_slashing_overheated_acid.xml",
});

table.insert(status_effects, {
	id="CUSTOMEFFECT_SLASHING_POISON",
	ui_name="Poison Slashing",
	ui_description="Causes random poison slashes around you",
	ui_icon="data/effects_gfx/slashing_poison.png",
	protects_from_fire=false,
	effect_entity="data/entities/custom_effects/effect_slashing_poison.xml",
});

table.insert(status_effects, {
	id="CUSTOMEFFECT_SLASHING_LAVA",
	ui_name="Lava Slashing",
	ui_description="Causes random lava slashes around you",
	ui_icon="data/effects_gfx/slashing_lava.png",
	protects_from_fire=false,
	effect_entity="data/entities/custom_effects/effect_slashing_lava.xml",
});

table.insert(status_effects, {
	id="CUSTOMEFFECT_EXPLODING_ACID",
	ui_name="Acid Exploding",
	ui_description="Causes random acid explosions around you",
	ui_icon="data/effects_gfx/exploding_acid.png",
	protects_from_fire=false,
	effect_entity="data/entities/custom_effects/effect_exploding_acid.xml",
});

table.insert(status_effects, {
	id="CUSTOMEFFECT_EXPLODING_OVERHEATED_ACID",
	ui_name="Overheated Acid Exploding",
	ui_description="Causes random overheated acid explosions around you",
	ui_icon="data/effects_gfx/exploding_overheated_acid.png",
	protects_from_fire=false,
	effect_entity="data/entities/custom_effects/effect_exploding_overheated_acid.xml",
});

table.insert(status_effects, {
	id="CUSTOMEFFECT_EXPLODING_POISON",
	ui_name="Poison Exploding",
	ui_description="Causes random poison explosions around you",
	ui_icon="data/effects_gfx/exploding_poison.png",
	protects_from_fire=false,
	effect_entity="data/entities/custom_effects/effect_exploding_poison.xml",
});

table.insert(status_effects, {
	id="CUSTOMEFFECT_EXPLODING_LAVA",
	ui_name="Lava Exploding",
	ui_description="Causes random lava explosions around you",
	ui_icon="data/effects_gfx/exploding_lava.png",
	protects_from_fire=false,
	effect_entity="data/entities/custom_effects/effect_exploding_lava.xml",
});

table.insert(status_effects, {
	id="CUSTOMEFFECT_HEAVYEXPLODING_FIRE",
	ui_name="Heavy Fire Exploding",
	ui_description="Causes random heavy fire explosions around you",
	ui_icon="data/effects_gfx/heavy_exploding_fire.png",
	protects_from_fire=false,
	effect_entity="data/entities/custom_effects/effect_heavy_exploding_fire.xml",
});

table.insert(status_effects, {
	id="CUSTOMEFFECT_HEAVYEXPLODING_ACID",
	ui_name="Heavy Acid Exploding",
	ui_description="Causes random heavy acid explosions around you",
	ui_icon="data/effects_gfx/heavy_exploding_acid.png",
	protects_from_fire=false,
	effect_entity="data/entities/custom_effects/effect_heavy_exploding_acid.xml",
});

table.insert(status_effects, {
	id="CUSTOMEFFECT_HEAVYEXPLODING_OVERHEATED_ACID",
	ui_name="Heavy Overheated Acid Exploding",
	ui_description="Causes random heavy overheated acid explosions around you",
	ui_icon="data/effects_gfx/heavy_exploding_overheated_acid.png",
	protects_from_fire=false,
	effect_entity="data/entities/custom_effects/effect_heavy_exploding_overheated_acid.xml",
});

table.insert(status_effects, {
	id="CUSTOMEFFECT_HEAVYEXPLODING_LAVA",
	ui_name="Heavy Lava Exploding",
	ui_description="Causes random heavy lava explosions around you",
	ui_icon="data/effects_gfx/heavy_exploding_lava.png",
	protects_from_fire=false,
	effect_entity="data/entities/custom_effects/effect_heavy_exploding_lava.xml",
});

table.insert(status_effects, {
	id="CUSTOMEFFECT_HEAVYEXPLODING_POISON",
	ui_name="Heavy Poison Exploding",
	ui_description="Causes random heavy poison explosions around you",
	ui_icon="data/effects_gfx/heavy_exploding_poison.png",
	protects_from_fire=false,
	effect_entity="data/entities/custom_effects/effect_heavy_exploding_poison.xml",
});