dofile_once("mods/TheArmory/files/traps_list.lua")
dofile_once("mods/TheArmory/files/containers_list.lua")

RegisterSpawnFunction( 0xff7E1A65, "spawn_chest_chestroom" )
RegisterSpawnFunction( 0xff3fd09f, "spawn_trap_chestroom" )

-- This file controls the spawning of objects inside chest room tiles

function spawn_trap_chestroom(x, y)
	EntityLoad( getTrapsBaseDir() .. getRandomTrap(), x, y)
end

function spawn_chest_chestroom(x, y)
	-- Obtaining current biome
	biomeName = BiomeMapGetName( x, y )
	
	EntityLoad( getContainersBaseDir() .. getTieredChestByBiome(biomeName, x, y), x, y)
end
