RegisterSpawnFunction( 0xff836798, "spawn_workshop" )
RegisterSpawnFunction( 0xff936c85, "spawn_supply_box" )

-- This file controls the spawning of objects inside crafting room tiles

function spawn_workshop(x, y)
	SetRandomSeed( x, y )

	local craftingStationChance = Random(1,3)
	if(craftingStationChance == 1) then
		EntityLoad( "data/entities/props/gun_workshop.xml", x, y)
	elseif(craftingStationChance == 2) then
		EntityLoad( "data/entities/props/ammo_workshop.xml", x, y)
	elseif(craftingStationChance == 3) then
		EntityLoad( "data/entities/props/trinket_workshop.xml", x, y)
	end
	
	-- related tool always spawns next to crafting station
	EntityLoad( "data/entities/items/crowbar.xml", x + 20, y)

end

function spawn_supply_box(x, y)
	SetRandomSeed( x, y )
	-- 50% chance a supply box spawns
	local supplyBoxChance = Random(1,2)
	if(supplyBoxChance == 1) then
		EntityLoad( "data/entities/props/supply_box.xml", x, y)
	end
	
	--[[
	local biomeChance_gunpart_box = Random(1,5)
	if(biomeChance_gunpart_box == 1) then
		EntityLoad( "data/entities/props/supply_box_receivers.xml", x, y)
	elseif(biomeChance_gunpart_box == 2) then
		EntityLoad( "data/entities/props/supply_box_mags.xml", x, y)
	elseif(biomeChance_gunpart_box == 3) then
		EntityLoad( "data/entities/props/supply_box_essentials.xml", x, y)
	elseif(biomeChance_gunpart_box == 4) then
		EntityLoad( "data/entities/props/supply_box_elementals.xml", x, y)
	elseif(biomeChance_gunpart_box == 5) then
		EntityLoad( "data/entities/props/supply_box_melee.xml", x, y)
	end
	]]
end