RegisterSpawnFunction( 0xff708f76, "spawn_ore_stone" )
RegisterSpawnFunction( 0xff659a84, "spawn_furnace" )

-- This file controls the spawning of objects inside ore room tiles

function spawn_furnace(x, y)

	EntityLoad( "data/entities/items/pickup/furnace.xml", x, y)

	-- related tool always spawns next to furnace
	EntityLoad( "data/entities/items/pickaxe.xml", x + 20, y)
end

function spawn_ore_stone(x, y)
	SetRandomSeed( x, y )
	local oreStoneChance = Random(1,8)
	if(oreStoneChance == 1) then
		EntityLoad( "data/entities/props/stone_iron.xml", x, y)
	elseif(oreStoneChance == 2) then
		EntityLoad( "data/entities/props/stone_copper.xml", x, y)
	elseif(oreStoneChance == 3) then
		EntityLoad( "data/entities/props/stone_gold.xml", x, y)
	elseif(oreStoneChance == 4) then
		EntityLoad( "data/entities/props/stone_jade.xml", x, y)
	elseif(oreStoneChance == 5) then
		EntityLoad( "data/entities/props/stone_amethyst.xml", x, y)
	elseif(oreStoneChance == 6) then
		EntityLoad( "data/entities/props/stone_diamond.xml", x, y)
	elseif(oreStoneChance == 7) then
		EntityLoad( "data/entities/props/stone_ruby.xml", x, y)
	elseif(oreStoneChance == 8) then
		EntityLoad( "data/entities/props/stone_purple_fluorite.xml", x, y)
	end
end


