dofile_once("mods/TheArmory/files/room_entity_map_list.lua")
dofile_once("data/scripts/thearmory_generic_functions.lua")

function collision_trigger(colliding_entity_id)
	local wand_removal_radius_check = 1000
	local entity_id = GetUpdatedEntityID()
	local x, y = EntityGetTransform(colliding_entity_id)
	
	-- stores last portal used so teleport callback knows what room layout to spawn
	setValueStorageComponent("last_portal_used", EntityGetName(entity_id), getPlayerEntity(), "value_string")
	setValueStorageComponent("last_biome_visited", BiomeMapGetName( x, y ), getPlayerEntity(), "value_string")
	
	if(EntityGetName(entity_id) == "room_exit_portal") then
		-- clears all controlled entities from room an cleans it up from any liquids, gases or powders left in the room
		rebuildRoom()
		clearRoom()
		-- removes unknown items and objects from room
		removeAllWandsandItemsInRadius(500, getPlatformMiddleCenterCoordinates())
	end

end