-- THIS COLLISION CALLBACK IS NO LONGER USED, REPLACED BY GUI ELEMENTS AND STORAGE VARIABLES ON THE PLAYER TO KEEP TRACK OF CRAFTING PARTS AND GENERATE WANDS BASED ON POSSESSED PARTS

dofile_once("data/scripts/thearmory_generic_functions.lua")
dofile_once("data/scripts/lib/coroutines.lua")

function collision_trigger(colliding_entity_id)
	
	if(isObjectDropped(colliding_entity_id)) then
		local gun_workshop_id = GetUpdatedEntityID()
		
		
		-- Obtains best place to respawn refused gun parts
		local player_x, player_y = EntityGetTransform(getPlayerEntity())
		local gun_workshop_x, gun_workshop_y = EntityGetTransform(gun_workshop_id)
		
		local item_spawn_offset_x = 0
		
		if(gun_workshop_x >= player_x) then
			item_spawn_offset_x = 30 * -1
		else
			item_spawn_offset_x = 30
		end
		
		local spawn_coordinate_x = gun_workshop_x + item_spawn_offset_x
		local spawn_coordinate_y = gun_workshop_y + 2
		
		
		-- Obtains the name of the gun part added
		local entityName = EntityGetName(colliding_entity_id)
		
		if EntityHasTag(colliding_entity_id, "gun_part") then

			if(EntityHasTag(colliding_entity_id, "ingot")) then
				
				if(getValueStorageComponent("tier_item_required", gun_workshop_id, "value_string") == "") then
					setValueStorageComponent("tier_item_required", entityName, gun_workshop_id, "value_string")
					GamePrint("Ingot added to Gun Workshop")
				else
					EntityLoad("data/entities/items/pickup/" .. getValueStorageComponent("tier_item_required", gun_workshop_id, "value_string") .. ".xml", spawn_coordinate_x, spawn_coordinate_y)
					setValueStorageComponent("tier_item_required", entityName, gun_workshop_id, "value_string")
					GamePrint("Replaced ingot in Gun Workshop")
				end
				EntityKill(colliding_entity_id)
				
			
			elseif(EntityHasTag(colliding_entity_id, "gun_part_receiver")) then
				
				if(getValueStorageComponent("receiver_part", gun_workshop_id, "value_string") == "") then
					setValueStorageComponent("receiver_part", entityName, gun_workshop_id, "value_string")
					GamePrint("Receiver part added to Gun Workshop")
				else
					EntityLoad("data/entities/gunparts_receiver/gunpart_" .. getValueStorageComponent("receiver_part", gun_workshop_id, "value_string") .. ".xml", spawn_coordinate_x, spawn_coordinate_y)
					setValueStorageComponent("receiver_part", entityName, gun_workshop_id, "value_string")
					GamePrint("Replaced Receiver part in Gun Workshop")
				end
				EntityKill(colliding_entity_id)
				
			elseif(EntityHasTag(colliding_entity_id, "gun_part_mag")) then
			
				if(getValueStorageComponent("mag_part", gun_workshop_id, "value_string") == "") then
					setValueStorageComponent("mag_part", entityName, gun_workshop_id, "value_string")
					GamePrint("Magazine part added to Gun Workshop")
				else
					EntityLoad("data/entities/gunparts_mag/gunpart_" .. getValueStorageComponent("mag_part", gun_workshop_id, "value_string") .. ".xml", spawn_coordinate_x, spawn_coordinate_y)
					setValueStorageComponent("mag_part", entityName, gun_workshop_id, "value_string")
					GamePrint("Replaced Magazine part in Gun Workshop")
				end
				EntityKill(colliding_entity_id)
			
			elseif(EntityHasTag(colliding_entity_id, "gun_part_essential")) then
			
				if(getValueStorageComponent("essential_part", gun_workshop_id, "value_string") == "") then
					setValueStorageComponent("essential_part", entityName, gun_workshop_id, "value_string")
					GamePrint("Essential part added to Gun Workshop")
				else
					EntityLoad("data/entities/gunparts_essential/gunpart_" .. getValueStorageComponent("essential_part", gun_workshop_id, "value_string") .. ".xml", spawn_coordinate_x, spawn_coordinate_y)
					setValueStorageComponent("essential_part", entityName, gun_workshop_id, "value_string")
					GamePrint("Replaced Essential part in Gun Workshop")
				end
				EntityKill(colliding_entity_id)
			
			elseif(EntityHasTag(colliding_entity_id, "gun_part_elemental")) then
			
				if(getValueStorageComponent("elemental_part", gun_workshop_id, "value_string") == "") then
					setValueStorageComponent("elemental_part", entityName, gun_workshop_id, "value_string")
					GamePrint("Elemental part added to Gun Workshop")
				else
					EntityLoad("data/entities/gunparts_elemental/gunpart_" .. getValueStorageComponent("elemental_part", gun_workshop_id, "value_string") .. ".xml", spawn_coordinate_x, spawn_coordinate_y)
					setValueStorageComponent("elemental_part", entityName, gun_workshop_id, "value_string")
					GamePrint("Replaced Elemental part in Gun Workshop")
				end
				EntityKill(colliding_entity_id)
			
			elseif(EntityHasTag(colliding_entity_id, "gun_part_melee")) then
				
				if(getValueStorageComponent("melee_part", gun_workshop_id, "value_string") == "") then
					setValueStorageComponent("melee_part", entityName, gun_workshop_id, "value_string")
					GamePrint("Melee part added to Gun Workshop")
				else
					EntityLoad("data/entities/gunparts_melee/gunpart_" .. getValueStorageComponent("melee_part", gun_workshop_id, "value_string") .. ".xml", spawn_coordinate_x, spawn_coordinate_y)
					setValueStorageComponent("melee_part", entityName, gun_workshop_id, "value_string")
					GamePrint("Replaced Melee part in Gun Workshop")
				end
				EntityKill(colliding_entity_id)
				
			end
			
			
			
		end
	end
end