function collision_trigger(colliding_entity_id)
	
	if EntityHasTag(colliding_entity_id, "enemy") then
		local projectile_entity = GetUpdatedEntityID()
		local x, y = EntityGetTransform(projectile_entity)
		EntitySetTransform(colliding_entity_id, x, y)
		EntityInflictDamage( colliding_entity_id, 0.02, "DAMAGE_SLICE", "sawed", "BLOOD_SPRAY", 0, 0)
	end	
end


--[[
here you are:

 #define ENUM_DAMAGE_TYPES(_)             \
    _(DAMAGE_MELEE,                 1 << 0 )     \
    _(DAMAGE_PROJECTILE,             1 << 1 )     \
    _(DAMAGE_EXPLOSION,             1 << 2 )     \
    _(DAMAGE_BITE,                     1 << 3 )     \
    _(DAMAGE_FIRE,                     1 << 4 )     \
    _(DAMAGE_MATERIAL,                 1 << 5 )     \
    _(DAMAGE_FALL,                     1 << 6 )     \
    _(DAMAGE_ELECTRICITY,             1 << 7 )     \
    _(DAMAGE_DROWNING,                 1 << 8 )     \
    _(DAMAGE_PHYSICS_BODY_DAMAGED,     1 << 9 )     \
    _(DAMAGE_DRILL,                 1 << 10 )     \
    _(DAMAGE_SLICE,                 1 << 11 )     \
    _(DAMAGE_ICE,                    1 << 12 )     \
    _(DAMAGE_HEALING,                1 << 13 )    \
    _(DAMAGE_PHYSICS_HIT,            1 << 14 )    \
    _(DAMAGE_RADIOACTIVE,            1 << 15 )    \
    _(DAMAGE_POISON,                1 << 16 )    \
    _(DAMAGE_MATERIAL_WITH_FLASH,    1 << 17 )    \
    _(DAMAGE_OVEREATING,            1 << 18 )    \

]]