RegisterSpawnFunction( 0xffFF245F, "spawn_interactive_machine" )

--------------------------------------------------------------------------------
-- ALL SPAWN POINTS FOR INTERACTIVE MACHINES WERE REMOVED FROM REGULAR WORLD TILES
-- MEANING THIS FILE NO LONGER CONTROLS THE SPAWNING OF THESE MACHINES
-- THE SPAWNING OF MACHINES IS NOW HANDLED SOLELY BY store_room_assets_spawn.lua
--------------------------------------------------------------------------------

-- This file controls the spawning of the following containers:
-- - interactive machines
-- - ore stones

function spawn_interactive_machine(x, y)
	
	-- wandcave, pyramid and fungicave have no interactive machine spawns

	SetRandomSeed( x, y )
	
	local spawnChance = Random(1,11)
	local oreStoneChance = 0
	
	if (spawnChance == 1) then
		EntityLoad( "data/entities/items/pickup/vending_machine.xml", x, y)
    elseif(spawnChance == 2) then
		EntityLoad( "data/entities/items/pickup/medical_supplies_vending_machine.xml", x, y)
	elseif(spawnChance == 3) then
		EntityLoad( "data/entities/items/pickup/blood_machine_gold.xml", x, y)
	elseif(spawnChance == 4) then
		EntityLoad( "data/entities/items/pickup/blood_machine_ammo.xml", x, y)
	elseif(spawnChance == 5) then
		EntityLoad( "data/entities/items/pickup/blood_machine_gun.xml", x, y)
	elseif(spawnChance == 6) then
		EntityLoad( "data/entities/items/pickup/slot_machine.xml", x, y)
	elseif(spawnChance == 7) then
		EntityLoad( "data/entities/items/pickup/justice_machine.xml", x, y)
	elseif(spawnChance == 8) then
		EntityLoad( "data/entities/items/pickup/ammo_vending_machine.xml", x, y)
	elseif(spawnChance == 9) then
		EntityLoad( "data/entities/items/pickup/furnace.xml", x, y)
	elseif(spawnChance == 10) then
		EntityLoad( "data/entities/items/pickup/gun_workshop.xml", x, y)
	elseif(spawnChance == 11) then
		oreStoneChance = Random(1,6)
		if(oreStoneChance == 1) then
			EntityLoad( "data/entities/props/stone_iron.xml", x, y)
		elseif(oreStoneChance == 2) then
			EntityLoad( "data/entities/props/stone_copper.xml", x, y)
		elseif(oreStoneChance == 3) then
			EntityLoad( "data/entities/props/stone_gold.xml", x, y)
		elseif(oreStoneChance == 4) then
			EntityLoad( "data/entities/props/stone_jade.xml", x, y)
		elseif(oreStoneChance == 5) then
			EntityLoad( "data/entities/props/stone_amethyst.xml", x, y)
		elseif(oreStoneChance == 6) then
			EntityLoad( "data/entities/props/stone_diamond.xml", x, y)
		end
		
	end
end