dofile_once("data/scripts/lib/utilities.lua")
dofile_once("mods/TheArmory/files/traps_list.lua")
dofile_once("mods/TheArmory/files/wands_list.lua")

function item_pickup( entity_item, entity_who_picked, name )
	
	local x, y = EntityGetTransform(entity_item)
	SetRandomSeed( GameGetFrameNum(), x + y + entity_item )
	
	local spawn_coordinate_x = x + Random(-10,10)
	local spawn_coordinate_y = y - 4 + Random(-10,10)
	
	local r = Random(1,4)
			
	local good = false
	if( r == 1 ) then
		EntityLoad( "data/entities/items/pickup/goldnugget_200.xml", spawn_coordinate_x, spawn_coordinate_y)
		EntityLoad( "data/entities/items/pickup/goldnugget_200.xml", spawn_coordinate_x, spawn_coordinate_y)
		EntityLoad( "data/entities/items/pickup/goldnugget_200.xml", spawn_coordinate_x, spawn_coordinate_y)
		EntityLoad( "data/entities/items/pickup/goldnugget_200.xml", spawn_coordinate_x, spawn_coordinate_y)
		EntityLoad( "data/entities/items/" .. getRandomWand(), spawn_coordinate_x, spawn_coordinate_y)
		
		good = true
	elseif( r == 2 ) then
		EntityLoad( getTrapsBaseDir() .. getRandomTrap(), spawn_coordinate_x, spawn_coordinate_y)
		good = false
	elseif( r == 3 ) then
		EntityLoad( getTrapsBaseDir() .. getRandomTrap(), spawn_coordinate_x, spawn_coordinate_y)
		EntityLoad( getTrapsBaseDir() .. getRandomTrap(), spawn_coordinate_x, spawn_coordinate_y)
		good = false
	elseif( r == 4 ) then
		EntityLoad( getTrapsBaseDir() .. getRandomTrap(), spawn_coordinate_x, spawn_coordinate_y)
		EntityLoad( getTrapsBaseDir() .. getRandomTrap(), spawn_coordinate_x, spawn_coordinate_y)
		EntityLoad( getTrapsBaseDir() .. getRandomTrap(), spawn_coordinate_x, spawn_coordinate_y)
		good = false
	end
	
	GamePrintImportant( "Gift Box opened! Enjoy your gift!", "" )
	if (good) then
		EntityLoad("data/entities/particles/image_emitters/chest_effect.xml", x, y)
	else
		EntityLoad("data/entities/particles/image_emitters/chest_effect_bad.xml", x, y)
	end
	
	EntityKill( entity_item )

end