-- this script handles reward drops related to regular enemies present at enemies_list.lua

dofile_once("data/scripts/lib/utilities.lua")
dofile_once("mods/TheArmory/files/enemies_list.lua")
dofile_once("data/scripts/thearmory_generic_functions.lua")

function death( damage_type_bit_field, damage_message, entity_thats_responsible, drop_items )
	if(entity_thats_responsible == getPlayerEntity()) then
		local entity = GetUpdatedEntityID()
		local entity_name = EntityGetName( entity )
		local x, y = EntityGetTransform( entity )
		
		-- Sets random seed
		local players = EntityGetWithTag("player_unit")
		SetRandomSeed( GameGetFrameNum(), x + y + players[1] + math.random(1,50))
		
		local reward_odds = Random(1,5)
		if(reward_odds == 1) then
			EntityLoad( getEnemyRewardsBaseDir() .. getEnemyReward(entity_name), x, y)
		end
	end
	
end