-- THIS COLLISION CALLBACK FILE IS NO LONGER USED
-- replaced by damage_game_effect_entities="data/entities/custom_effects/effect_bleeding.xml" added to the knife.xml projectile definition

dofile("data/scripts/thearmory_generic_functions.lua")

function collision_trigger(colliding_entity_id)
	
	if EntityHasTag(colliding_entity_id, "enemy") then
	
		-- Finds out what is the blood spilled by the target enemy
		local bloodMaterial = getBloodMaterialFromEnemyEntity(colliding_entity_id)
		
		--GamePrint("This enemy blood is " .. bloodMaterial)
		
		-- Adds particle emitter to enemy, so that it spawns the required material
		EntityAddComponent(colliding_entity_id, "ParticleEmitterComponent", {
			emitted_material_name= bloodMaterial,
			x_pos_offset_min="-1",
			x_pos_offset_max="1",
			y_pos_offset_min="",
			y_pos_offset_max="0",
			x_vel_min="-7",
			x_vel_max="7",
			y_vel_min="80",
			y_vel_max="180",
			count_min="3",
			count_max="4",
			lifetime_min="5",
			lifetime_max="5",
			create_real_particles="1",
			emit_cosmetic_particles="1",
			emission_interval_min_frames="0",
			emission_interval_max_frames="1",
			is_emitting="1" 
		})
		

	end	
end