-- obtains spawn location
local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform( entity_id )
-- spawn rat
local rat_id = EntityLoad("data/entities/animals/rat_tnt.xml", x, y)
-- strips rat from script_death lua callbacks to prevent it from dropping rewards upon death
local rat_luaComponents = EntityGetComponent( rat_id, "LuaComponent" )
for i,component in ipairs(rat_luaComponents) do
	if(ComponentGetValue2( component, "script_source_file" ) ~= "data/scripts/animals/rat_suicide.lua") then
		EntityRemoveComponent(rat_id, component)
	end
end
