dofile_once("data/scripts/lib/utilities.lua")
dofile_once("data/scripts/thearmory_utilities.lua")

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)
SetRandomSeed( GameGetFrameNum(), x + y + entity_id )

local enemies = EntityGetInRadiusWithTag(x, y, 40, "enemy")

-- Sets the shooter of the field as the player
comp_ids = EntityGetComponent( entity_id, "ProjectileComponent" )

if( comp_ids ~= nil ) then
	ComponentSetValue( comp_ids[1], "mWhoShot", getPlayerEntity())
	ComponentSetValue( comp_ids[1], "mShooterHerdId", getSpeciesFromEnemyEntity(getPlayerEntity()))
end

-- freezes player
for i, enemy_id in ipairs(enemies) do

	if(GameGetGameEffectCount(enemy_id, "FROZEN") == 0) then
		GetGameEffectLoadTo( enemy_id, "FROZEN", true )
	end

end



