dofile_once("data/scripts/lib/utilities.lua")
dofile_once("data/scripts/thearmory_generic_functions.lua")

local entity_id = GetUpdatedEntityID()
local pos_x, pos_y = EntityGetTransform(entity_id)

for i=1,10 do
	
	-- obtains tripwire i velocity settings from main projectile/tripwire mine storage variables
	local vel_x = getValueStorageComponent("laser" .. i .. "_vel_x", entity_id, "value_int")
	local vel_y = getValueStorageComponent("laser" .. i .. "_vel_y", entity_id, "value_int")
	
	-- shoots tripwire i laser
	local tripwire_laser_id = EntityLoad( "data/entities/projectiles/laser_emitter.xml", pos_x, pos_y)
	
	-- adjusts verlocity of tripwire i laser
	comp_ids = EntityGetComponent( tripwire_laser_id, "VelocityComponent" )

	if( comp_ids ~= nil ) then
		ComponentSetValueVector2( comp_ids[1], "mVelocity", vel_x, vel_y)
	end
	
	-- Sets the main projectile/tripwire mine as the shooter of tripwire i laser
	comp_ids = EntityGetComponent( tripwire_laser_id, "ProjectileComponent" )
	
	if( comp_ids ~= nil ) then
		ComponentSetValue( comp_ids[1], "mWhoShot", entity_id)
	end
end


