dofile_once("data/scripts/lib/utilities.lua")

local entity_id = GetUpdatedEntityID()

-- nulifies gravity on projectile
edit_component( entity_id, "VelocityComponent", function(comp,vars)
	vars.gravity_y=0
end)

-- zeroes projectile velocity
comp_ids = EntityGetComponent( entity_id, "VelocityComponent" )
if( comp_ids ~= nil ) then
	ComponentSetValueVector2( comp_ids[1], "mVelocity", 0, 0)
end

-- adds disturbance detection
EntityAddComponent(entity_id, "LuaComponent", {
	script_source_file="data/scripts/projectiles/securityprobe_disturbance_detection.lua",
	execute_every_n_frame="1"
})
