dofile_once("data/scripts/thearmory_generic_functions.lua")

local detectionRadius = 45

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)

-- obtains connected enemy from storage variable
local connected_enemy_id = getValueStorageComponent("connected_enemy_id", entity_id, "value_int")

-- detects enemies other than connected one, then kills/explodes if an unknown enemy approaches
local creatures_in_range = EntityGetInRadiusWithTag(x, y, detectionRadius, "enemy")

if(next(creatures_in_range) ~= nil) then
	for i,creature_in_range_id in ipairs(creatures_in_range) do 
		if(creature_in_range_id ~= connected_enemy_id) then
			EntityKill(entity_id)
		end
	end
end