dofile_once("data/scripts/thearmory_generic_functions.lua")

function collision_trigger(colliding_entity_id)
	
	if EntityHasTag(colliding_entity_id, "enemy") then
		
		--GamePrint("## enemy connected ##")
		
		local projectile_id = GetUpdatedEntityID()
		
		-- stores entity id of colliding enemy for later use
		setValueStorageComponent("connected_enemy_id", colliding_entity_id, projectile_id, "value_int")
		
		-- adds callback to mine to update its coordinates
		EntityAddComponent(projectile_id, "LuaComponent", {
			script_source_file="data/scripts/projectiles/stickyminefreezing_update_coordinates.lua",
			execute_every_n_frame="1"
		})
		
		-- adds callback to arm mine
		EntityAddComponent(projectile_id, "LuaComponent", {
			script_source_file="data/scripts/projectiles/stickyminefreezing_arm_mine.lua",
			execute_every_n_frame="50",
			remove_after_executed="1"
		})
		
	end	
end