dofile_once("data/scripts/lib/utilities.lua")
dofile_once("data/scripts/thearmory_generic_functions.lua")

local entity_id = GetUpdatedEntityID()

edit_component( entity_id, "VelocityComponent", function(comp,vars)
	local temp_vel_x,temp_vel_y = ComponentGetValueVector2( comp, "mVelocity", vel_x, vel_y)
	local temp_pos_x,temp_pos_y = EntityGetTransform( entity_id )
	if(temp_vel_x ~= 0 and temp_vel_y ~= 0) then
		-- stores velocity and coordinates onto projectile storage variables for later use
		setValueStorageComponent("projectile_vel_x", temp_vel_x, entity_id, "value_int")
		setValueStorageComponent("projectile_vel_y", temp_vel_y, entity_id, "value_int")
		setValueStorageComponent("projectile_pos_x", temp_pos_x, entity_id, "value_int")
		setValueStorageComponent("projectile_pos_y", temp_pos_y, entity_id, "value_int")
	end
end)
