dofile_once("data/scripts/lib/utilities.lua")
dofile_once("mods/TheArmory/files/container_materials_list.lua")

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)

SetRandomSeed( GameGetFrameNum(), x + y + entity_id )
local material_name, material_desc, material_puddle_entity = getRandomContainerMaterial()

-- assigns blood material
edit_component( entity_id, "DamageModelComponent", function(comp,vars)
	vars.blood_material = material_name
end)

-- fills container inventory with chosen material
AddMaterialInventoryMaterial( entity_id, material_name, 550 )

-- changes UI name
edit_component( entity_id, "UIInfoComponent", function(comp,vars)
	vars.name = material_desc .. " Proximity Mine"
end)

-- changes material puddle on explosion config
local explosion_component_id = EntityGetFirstComponent(entity_id, "ExplosionComponent")
ComponentObjectSetValue2( explosion_component_id, "config_explosion", "load_this_entity", "data/entities/particles/particle_explosion/main.xml," .. material_puddle_entity )



