-- THIS COLLISION CALLBACK FILE IS NO LONGER USED
-- replaced by damage_game_effect_entities="data/entities/misc/effect_bleed_water.xml" added to the alienbolt.xml projectile definition

function collision_trigger(colliding_entity_id)
	
	if EntityHasTag(colliding_entity_id, "enemy") then
	
		local projectile = GetUpdatedEntityID()
		local component = EntityGetFirstComponent(projectile , "SpriteComponent" )
		EntityRemoveComponent( projectile , component )
		
		-- When callback is called, switches to the empty syringe sprite
		EntityAddComponent(projectile, "SpriteComponent", {
			_enabled="1",
			alpha="1", 
			image_file="data/projectiles_gfx/syringe_empty.xml", 
			next_rect_animation="",
			rect_animation=""
		})
	
		-- Loads material onto enemy
		-- local x, y = EntityGetTransform(colliding_entity_id)
	    -- EntityLoad( "data/entities/water_pocket_small.xml", x, y)
		
		-- Adds particle emitter to enemy, so that it spawns the required material
		EntityAddComponent(colliding_entity_id, "ParticleEmitterComponent", {
			emitted_material_name="water",
			x_pos_offset_min="-1",
			x_pos_offset_max="1",
			y_pos_offset_min="",
			y_pos_offset_max="0",
			x_vel_min="-7",
			x_vel_max="7",
			y_vel_min="80",
			y_vel_max="180",
			count_min="3",
			count_max="4",
			lifetime_min="5",
			lifetime_max="5",
			create_real_particles="1",
			emit_cosmetic_particles="1",
			emission_interval_min_frames="0",
			emission_interval_max_frames="1",
			is_emitting="1" 
		})
	end	
end