-- dofile_once("data/scripts/thearmory_generic_functions.lua")
dofile_once("mods/TheArmory/files/trinkets_list.lua")

local render = applyTrinketsEffects_LaserSight()

local entity_id = GetUpdatedEntityID()
local emitter_id = EntityGetFirstComponent(entity_id, "ParticleEmitterComponent")
local gun_id = getCurrentlyEquippedWandId()

if render then
	if(EntityHasTag(gun_id, "custom_wand") or EntityHasTag(gun_id, "boss_reward_wand")) then
		ComponentSetValue2(emitter_id, "is_emitting", 1)
		ComponentSetValue2(emitter_id, "is_trail", 1)
		
		local mouse_x, mouse_y = DEBUG_GetMouseWorld()
		local gun_id_x, gun_id_y, rotation = EntityGetTransform(gun_id)
		gun_id_y = gun_id_y -- offset to adjust positioning

		local x, y, angle = EntityGetTransform(entity_id)
		local did_hit, hit_x, hit_y = Raytrace(gun_id_x, gun_id_y, mouse_x, mouse_y)
		if not did_hit then
			hit_x = mouse_x
			hit_y = mouse_y
		end

		local hit_dist = math.sqrt((hit_x - x) ^ 2 + (hit_y - y) ^ 2)
		
		ComponentSetValue2(emitter_id, "mExPosition", hit_x, hit_y)
		ComponentSetValue2(emitter_id, "count_min", hit_dist / 4)
		ComponentSetValue2(emitter_id, "count_max", hit_dist / 2)
	else
		ComponentSetValue2(emitter_id, "is_emitting", 0)
		ComponentSetValue2(emitter_id, "is_trail", 0)
	end
else
	ComponentSetValue2(emitter_id, "is_emitting", 0)
	ComponentSetValue2(emitter_id, "is_trail", 0)
end
