dofile_once("data/scripts/thearmory_generic_functions.lua")

local gun_entity_id = GetUpdatedEntityID()
local current_gun_entity_id = 0
-- obtains equipped wand id
for i, component in ipairs(EntityGetComponent(getPlayerEntity(), "Inventory2Component") or {}) do
	current_gun_entity_id = ComponentGetValue2(component, "mActiveItem")
end

-- if current wand is not equipped, resets ammo capacity back to the same as deck_capacity
-- this is done to avoid misscalculations and prevent ammo_capacity from being not in synchrony with the spell deck
if(current_gun_entity_id ~= gun_entity_id) then
	local abilityComp_id = EntityGetFirstComponentIncludingDisabled(gun_entity_id, "AbilityComponent")
	local capacity = ComponentObjectGetValue2( abilityComp_id, "gun_config", "deck_capacity" )
	
	local vsc = EntityGetFirstComponentIncludingDisabled(gun_entity_id, "VariableStorageComponent")
	ComponentSetValue2( vsc, "value_int", capacity )
end

