-- this file controls recipes and gunpart names for all tiered weapons/wands in this mod, wands spawning from exotic chests or from minibosses are
-- not included here

-- List of possible gun part names, separated into categories according to their type
-- Should any new part be added to a recipe, it must be also added here as an entry according to its type, and an entity for it is also required
gunparts_receiver = 
{
	"gunpart_assault_rifle_receiver.xml",
	"gunpart_bolt_action_receiver.xml",
	"gunpart_crossbow_receiver.xml",
	"gunpart_fullauto_receiver_nailgun.xml",
	"gunpart_fullauto_receiver_pistol.xml",
	"gunpart_fullauto_receiver_shotgun.xml",
	"gunpart_fullauto_receiver_smg.xml",
	"gunpart_grenade_launcher_receiver.xml",
	"gunpart_minigun_receiver.xml",
	"gunpart_revolver_receiver.xml",
	"gunpart_semiauto_receiver_pistol.xml",
	"gunpart_semiauto_receiver_rifle.xml",
	"gunpart_semiauto_receiver_shotgun.xml",
	"gunpart_fatman_receiver.xml",
	"gunpart_energy_gun_receiver_pistol.xml",
	"gunpart_energy_gun_receiver_rifle.xml",
	"gunpart_energy_gun_receiver_shotgun.xml",
	"gunpart_energy_gun_receiver_gatling.xml",
	"gunpart_liquid_gun_receiver.xml",
	"gunpart_rocket_launcher_receiver.xml",
	"gunpart_semiauto_receiver_knifethrower.xml",
	"gunpart_semiauto_receiver_shovellauncher.xml",
	"gunpart_semiauto_receiver_trashdumper.xml",
	"gunpart_syringer_receiver.xml",
	"gunpart_exotic_weapon_receiver.xml",
	"gunpart_machine_gun_receiver.xml"
}
gunparts_mag = 
{
	"gunpart_40mmgrenade_barrel.xml",
	"gunpart_40mmgrenade_mag.xml",
	"gunpart_44ball_mag_coltwalker.xml",
	"gunpart_45ACP_mag_m1911.xml",
	"gunpart_45ACP_mag_vector.xml",
	"gunpart_45LC_mag_peacemaker.xml",
	"gunpart_45_70_mag_henry.xml",
	"gunpart_45_70_mag_rangersequoia.xml",
	"gunpart_556_mag_hk416.xml",
	"gunpart_556_mag_m16.xml",
	"gunpart_556_mag_scarl.xml",
	"gunpart_762tokarev_mag.xml",
	"gunpart_762_mag_ak47.xml",
	"gunpart_762_mag_fal.xml",
	"gunpart_762_mag_scarh.xml",
	"gunpart_9mm_mag_glock17.xml",
	"gunpart_9mm_mag_glock18.xml",
	"gunpart_9mm_mag_m9.xml",
	"gunpart_9mm_mag_mac10.xml",
	"gunpart_9mm_mag_makarov.xml",
	"gunpart_aa12_mag.xml",
	"gunpart_ammo_clip_kar98k.xml",
	"gunpart_ammo_clip_leeenfield.xml",
	"gunpart_ammo_clip_m1garand.xml",
	"gunpart_ammo_clip_mosinnagant.xml",
	"gunpart_bomb_mag.xml",
	"gunpart_clusterbomb_mag.xml",
	"gunpart_dynamite_mag.xml",
	"gunpart_layerbomb_mag.xml",
	"gunpart_layer_clusterbomb_mag.xml",
	"gunpart_nails_mag.xml",
	"gunpart_quad_rocket_mag.xml",
	"gunpart_scatterbomb_mag.xml",
	"gunpart_scatter_clusterbomb_mag.xml",
	"gunpart_shotgun_long_barrel.xml",
	"gunpart_shotgun_sawedoff_barrel.xml",
	"gunpart_tommy_drum.xml",
	"gunpart_tommy_mag.xml",
	"gunpart_m1_mag.xml",
	"gunpart_45_70_mag_huntingrevolver.xml",
	"gunpart_357_magnum_mag_coltpython.xml",
	"gunpart_44_magnum_mag_ragingbull.xml",
	"gunpart_saiga_mag.xml",
	"gunpart_545_mag_aks74u.xml",
	"gunpart_smartmine_mag.xml",
	"gunpart_smartmine_mag_shrapnel_scatter.xml",
	"gunpart_smartmine_mag_shrapnel.xml",
	"gunpart_spitbomb_mag.xml",
	"gunpart_spitbomb_scatter_mag.xml",
	"gunpart_ammo_belt_browning1919.xml",
	"gunpart_50bmg_mag.xml"
}
gunparts_essential = 
{						
	"gunpart_alien_energy_cell.xml",
	"gunpart_blue_kyber_crystal.xml",
	"gunpart_blue_wave_cell.xml",
	"gunpart_chaos_star.xml",
	"gunpart_chestshuffler_cell.xml",
	"gunpart_cloning_cell.xml",
	"gunpart_compressed_air_cylinder.xml",
	"gunpart_earthquake_cell.xml",
	"gunpart_gas_cylinder.xml",
	"gunpart_glass_sphere.xml",	
	"gunpart_green_kyber_crystal.xml",
	"gunpart_laser_generator.xml",
	"gunpart_leaking_energy_core.xml",
	"gunpart_lever_grip.xml",
	"gunpart_plasma_cell.xml",
	"gunpart_printing_cell.xml",
	"gunpart_red_kyber_crystal.xml",
	"gunpart_trap_disarmer_cell.xml",
	"gunpart_bow_string.xml",
	"gunpart_mirv_component.xml",
	"gunpart_shotgun_shell_body.xml",
	"gunpart_pistol_bullet_body.xml",
	"gunpart_rifle_bullet_body.xml",
	"gunpart_thunderbolt_cell.xml"
	
}
gunparts_elemental = 
{
	"gunpart_acid_container.xml",
	"gunpart_booze_container.xml",
	"gunpart_charming_component.xml",
	"gunpart_electric_component.xml",
	"gunpart_explosive_component.xml",
	"gunpart_fire_container.xml",
	"gunpart_freezinggas_container.xml",
	"gunpart_freezing_component.xml",
	"gunpart_gas_container.xml",
	"gunpart_heating_component.xml",
	"gunpart_lava_container.xml",
	"gunpart_poison_container.xml",
	"gunpart_teleporting_component.xml",
	"gunpart_water_container.xml",
	"gunpart_polymorphine_container.xml",
	"gunpart_nitroglycerin_container.xml",
	"gunpart_sand_container.xml",
	"gunpart_white_phosphorous_container.xml",
	"gunpart_gunpowder_container.xml",
	"gunpart_blood_container.xml",
	"gunpart_propane_gas_container.xml",
	"gunpart_antipoly_container.xml"
}
gunparts_melee = 
{
	"gunpart_blade.xml",
	"gunpart_energy_blade_emitter.xml",
	"gunpart_double_energy_blade_emitter.xml",
	"gunpart_empaxe.xml",
	"gunpart_hook.xml",
	"gunpart_morning_star.xml",
	"gunpart_spear.xml",
	"gunpart_circular_blade.xml",
	"gunpart_boomerang.xml",
	"gunpart_magic_blade.xml",
	"gunpart_crowbar_tip.xml",
	"gunpart_pickaxe_tip.xml",
	"gunpart_hammer.xml",
	"gunpart_whip.xml",
	"gunpart_scythe.xml",
	"gunpart_axe.xml"
}

-- List containing recipes for all weapons, except ones spawned from exotic chests or from defeated minibosses
recipes_list =
{
	-- Regular tier wands
	
	{
		id = "glock17",
		tier_item_required = "ingot_iron",
		receiver_part = "semiauto_receiver_pistol",
		mag_part = "9mm_mag_glock17",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "coltwalker",
		tier_item_required = "ingot_iron",
		receiver_part = "revolver_receiver",
		mag_part = "44ball_mag_coltwalker",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "m1911",
		tier_item_required = "ingot_iron",
		receiver_part = "semiauto_receiver_pistol",
		mag_part = "45ACP_mag_m1911",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "m9",
		tier_item_required = "ingot_iron",
		receiver_part = "semiauto_receiver_pistol",
		mag_part = "9mm_mag_m9",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "glock18",
		tier_item_required = "ingot_iron",
		receiver_part = "fullauto_receiver_pistol",
		mag_part = "9mm_mag_glock18",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "mac10",
		tier_item_required = "ingot_iron",
		receiver_part = "fullauto_receiver_smg",
		mag_part = "9mm_mag_mac10",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "makarov",
		tier_item_required = "ingot_iron",
		receiver_part = "semiauto_receiver_pistol",
		mag_part = "9mm_mag_makarov",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "tokarev",
		tier_item_required = "ingot_iron",
		receiver_part = "semiauto_receiver_pistol",
		mag_part = "762tokarev_mag",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "sawedoff",
		tier_item_required = "ingot_iron",
		receiver_part = "semiauto_receiver_shotgun",
		mag_part = "shotgun_sawedoff_barrel",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "peacemaker",
		tier_item_required = "ingot_iron",
		receiver_part = "revolver_receiver",
		mag_part = "45LC_mag_peacemaker",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "nailgun",
		tier_item_required = "ingot_iron",
		receiver_part = "fullauto_receiver_nailgun",
		mag_part = "nails_mag",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "m1",
		tier_item_required = "ingot_iron",
		receiver_part = "semiauto_receiver_rifle",
		mag_part = "m1_mag",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "sandbomblauncher",
		tier_item_required = "ingot_iron",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "bomb_mag",
		essential_part = "sand_container",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	
	-- Exquisite tier wands
	
	{
		id = "jedi_hilt",
		tier_item_required = "ingot_copper",
		receiver_part = "[none]",
		mag_part = "[none]",
		essential_part = "green_kyber_crystal",
		elemental_part = "[none]",
		melee_part = "energy_blade_emitter"
	},
	{
		id = "jedi2_hilt",
		tier_item_required = "ingot_copper",
		receiver_part = "[none]",
		mag_part = "[none]",
		essential_part = "blue_kyber_crystal",
		elemental_part = "[none]",
		melee_part = "energy_blade_emitter"
	},
	{
		id = "sith_hilt",
		tier_item_required = "ingot_copper",
		receiver_part = "[none]",
		mag_part = "[none]",
		essential_part = "red_kyber_crystal",
		elemental_part = "[none]",
		melee_part = "energy_blade_emitter"
	},
	{
		id = "frozenkraken",
		tier_item_required = "ingot_copper",
		receiver_part = "[none]",
		mag_part = "[none]",
		essential_part = "chaos_star",
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "shovellauncher",
		tier_item_required = "ingot_copper",
		receiver_part = "semiauto_receiver_shovellauncher",
		mag_part = "[none]",
		essential_part = "compressed_air_cylinder",
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "stungun",
		tier_item_required = "ingot_copper",
		receiver_part = "fullauto_receiver_smg",
		mag_part = "[none]",
		essential_part = "[none]",	
		elemental_part = "electric_component",
		melee_part = "[none]"
	},
	{
		id = "moltenpistol",
		tier_item_required = "ingot_copper",
		receiver_part = "semiauto_receiver_pistol",
		mag_part = "[none]",
		essential_part = "[none]",	
		elemental_part = "heating_component",
		melee_part = "[none]"
	},
	{
		id = "watergun",
		tier_item_required = "ingot_copper",
		receiver_part = "liquid_gun_receiver",
		mag_part = "[none]",
		essential_part = "[none]",	
		elemental_part = "water_container",
		melee_part = "[none]"
	},
	{
		id = "cryorepeater",
		tier_item_required = "ingot_copper",
		receiver_part = "fullauto_receiver_smg",
		mag_part = "[none]",
		essential_part = "[none]",	
		elemental_part = "freezing_component",
		melee_part = "[none]"
	},
	{
		id = "m32gl",
		tier_item_required = "ingot_copper",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "40mmgrenade_mag",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "m79gl",
		tier_item_required = "ingot_copper",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "40mmgrenade_barrel",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "scarl",
		tier_item_required = "ingot_copper",
		receiver_part = "assault_rifle_receiver",
		mag_part = "556_mag_scarl",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "m16",
		tier_item_required = "ingot_copper",
		receiver_part = "assault_rifle_receiver",
		mag_part = "556_mag_m16",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "m1887",
		tier_item_required = "ingot_copper",
		receiver_part = "semiauto_receiver_shotgun",
		mag_part = "shotgun_long_barrel",
		essential_part = "lever_grip",
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "vector",
		tier_item_required = "ingot_copper",
		receiver_part = "fullauto_receiver_smg",
		mag_part = "45ACP_mag_vector",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "minelayer",
		tier_item_required = "ingot_copper",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "bomb_mag",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "trapdisarmer",
		tier_item_required = "ingot_copper",
		receiver_part = "energy_gun_receiver_rifle",
		mag_part = "[none]",
		essential_part = "trap_disarmer_cell",
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "laserpistol",
		tier_item_required = "ingot_copper",
		receiver_part = "energy_gun_receiver_pistol",
		mag_part = "[none]",
		essential_part = "laser_generator",
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "plasmapistol",
		tier_item_required = "ingot_copper",
		receiver_part = "energy_gun_receiver_pistol",
		mag_part = "[none]",
		essential_part = "plasma_cell",
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "kar98k",
		tier_item_required = "ingot_copper",
		receiver_part = "bolt_action_receiver",
		mag_part = "ammo_clip_kar98k",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "leeenfield",
		tier_item_required = "ingot_copper",
		receiver_part = "bolt_action_receiver",
		mag_part = "ammo_clip_leeenfield",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "mosinnagant",
		tier_item_required = "ingot_copper",
		receiver_part = "bolt_action_receiver",
		mag_part = "ammo_clip_mosinnagant",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "m1garand",
		tier_item_required = "ingot_copper",
		receiver_part = "bolt_action_receiver",
		mag_part = "ammo_clip_m1garand",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "tommygun_drum",
		tier_item_required = "ingot_copper",
		receiver_part = "fullauto_receiver_smg",
		mag_part = "tommy_drum",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "tommygun_regular",
		tier_item_required = "ingot_copper",
		receiver_part = "fullauto_receiver_smg",
		mag_part = "tommy_mag",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "pickaxe",
		tier_item_required = "ingot_copper",
		receiver_part = "[none]",
		mag_part = "[none]",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "pickaxe_tip"
	},
	
	{
		id = "crowbar",
		tier_item_required = "ingot_copper",
		receiver_part = "[none]",
		mag_part = "[none]",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "crowbar_tip"
	},
	
	{
		id = "bow",
		tier_item_required = "ingot_copper",
		receiver_part = "[none]",
		mag_part = "[none]",
		essential_part = "bow_string",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "trenchgun",
		tier_item_required = "ingot_copper",
		receiver_part = "semiauto_receiver_shotgun",
		mag_part = "shotgun_long_barrel",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "aks74u",
		tier_item_required = "ingot_copper",
		receiver_part = "assault_rifle_receiver",
		mag_part = "545_mag_aks74u",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "crossbow",
		tier_item_required = "ingot_copper",
		receiver_part = "crossbow_receiver",
		mag_part = "[none]",
		essential_part = "bow_string",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "flail_whip",
		tier_item_required = "ingot_copper",
		receiver_part = "[none]",
		mag_part = "[none]",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "whip"
	},
	{
		id = "nailgun_overheated",
		tier_item_required = "ingot_copper",
		receiver_part = "fullauto_receiver_nailgun",
		mag_part = "nails_mag",
		essential_part = "[none]",	
		elemental_part = "heating_component",
		melee_part = "[none]"
	},
	{
		id = "longsword",
		tier_item_required = "ingot_copper",
		receiver_part = "[none]",
		mag_part = "[none]",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "blade"
	},
	{
		id = "morningstar",
		tier_item_required = "ingot_copper",
		receiver_part = "[none]",
		mag_part = "[none]",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "morning_star"
	},
	{
		id = "shortaxe",
		tier_item_required = "ingot_copper",
		receiver_part = "[none]",
		mag_part = "[none]",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "axe"
	},
	{
		id = "regularlance",
		tier_item_required = "ingot_copper",
		receiver_part = "[none]",
		mag_part = "[none]",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "spear"
	},
	
	-- Special tier wands
	
	{
		id = "double_hilt",
		tier_item_required = "ingot_gold",
		receiver_part = "[none]",
		mag_part = "[none]",
		essential_part = "red_kyber_crystal",	
		elemental_part = "[none]",
		melee_part = "double_energy_blade_emitter"
	},
	{
		id = "freedumlauncher",
		tier_item_required = "ingot_gold",
		receiver_part = "rocket_launcher_receiver",
		mag_part = "quad_rocket_mag",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "laserrifle",
		tier_item_required = "ingot_gold",
		receiver_part = "energy_gun_receiver_rifle",
		mag_part = "[none]",
		essential_part = "laser_generator",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "laserscatterrifle",
		tier_item_required = "ingot_gold",
		receiver_part = "energy_gun_receiver_shotgun",
		mag_part = "[none]",
		essential_part = "laser_generator",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "plasmarifle",
		tier_item_required = "ingot_gold",
		receiver_part = "energy_gun_receiver_rifle",
		mag_part = "[none]",
		essential_part = "plasma_cell",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "plasmascatterrifle",
		tier_item_required = "ingot_gold",
		receiver_part = "energy_gun_receiver_shotgun",
		mag_part = "[none]",
		essential_part = "plasma_cell",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "fal",
		tier_item_required = "ingot_gold",
		receiver_part = "assault_rifle_receiver",
		mag_part = "762_mag_fal",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "bluewavegenerator",
		tier_item_required = "ingot_gold",
		receiver_part = "energy_gun_receiver_rifle",
		mag_part = "[none]",
		essential_part = "blue_wave_cell",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "aa12",
		tier_item_required = "ingot_gold",
		receiver_part = "fullauto_receiver_shotgun",
		mag_part = "aa12_mag",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "remington870",
		tier_item_required = "ingot_gold",
		receiver_part = "semiauto_receiver_shotgun",
		mag_part = "shotgun_long_barrel",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "dynamitelauncher",
		tier_item_required = "ingot_gold",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "dynamite_mag",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "hellfirelauncher",
		tier_item_required = "ingot_gold",
		receiver_part = "energy_gun_receiver_rifle",
		mag_part = "[none]",
		essential_part = "[none]",	
		elemental_part = "heating_component",
		melee_part = "[none]"
	},
	{
		id = "minelayer_scatter",
		tier_item_required = "ingot_gold",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "scatterbomb_mag",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "henry",
		tier_item_required = "ingot_gold",
		receiver_part = "semiauto_receiver_rifle",
		mag_part = "45_70_mag_henry",
		essential_part = "lever_grip",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "shishkebab",
		tier_item_required = "ingot_gold",
		receiver_part = "[none]",
		mag_part = "[none]",
		essential_part = "gas_cylinder",	
		elemental_part = "heating_component",
		melee_part = "blade"
	},
	{
		id = "iceckle",
		tier_item_required = "ingot_gold",
		receiver_part = "[none]",
		mag_part = "[none]",
		essential_part = "[none]",	
		elemental_part = "freezing_component",
		melee_part = "hook"
	},
	{
		id = "electropole",
		tier_item_required = "ingot_gold",
		receiver_part = "[none]",
		mag_part = "[none]",
		essential_part = "[none]",	
		elemental_part = "electric_component",
		melee_part = "spear"
	},
	{
		id = "hk416",
		tier_item_required = "ingot_gold",
		receiver_part = "assault_rifle_receiver",
		mag_part = "556_mag_hk416",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "ak47",
		tier_item_required = "ingot_gold",
		receiver_part = "assault_rifle_receiver",
		mag_part = "762_mag_ak47",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "knifethrower",
		tier_item_required = "ingot_gold",
		receiver_part = "semiauto_receiver_knifethrower",
		mag_part = "[none]",
		essential_part = "compressed_air_cylinder",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "flail_morningstar",
		tier_item_required = "ingot_gold",
		receiver_part = "[none]",
		mag_part = "[none]",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "morning_star"
	},
	{
		id = "flail_hook",
		tier_item_required = "ingot_gold",
		receiver_part = "[none]",
		mag_part = "[none]",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "hook"
	},
	{
		id = "flail_blade",
		tier_item_required = "ingot_gold",
		receiver_part = "[none]",
		mag_part = "[none]",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "blade"
	},
	{
		id = "flail_spear",
		tier_item_required = "ingot_gold",
		receiver_part = "[none]",
		mag_part = "[none]",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "spear"
	},
	{
		id = "scarh",
		tier_item_required = "ingot_gold",
		receiver_part = "assault_rifle_receiver",
		mag_part = "762_mag_scarh",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "huntingrevolver",
		tier_item_required = "ingot_gold",
		receiver_part = "revolver_receiver",
		mag_part = "45_70_mag_huntingrevolver",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "rpg7",
		tier_item_required = "ingot_gold",
		receiver_part = "rocket_launcher_receiver",
		mag_part = "[none]",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "browning1919",
		tier_item_required = "ingot_gold",
		receiver_part = "machine_gun_receiver",
		mag_part = "ammo_belt_browning1919",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	
	-- Rare tier wands
	
	{
		id = "trashdumper",
		tier_item_required = "ingot_jade",
		receiver_part = "semiauto_receiver_trashdumper",
		mag_part = "[none]",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "tesladevice",
		tier_item_required = "ingot_jade",
		receiver_part = "energy_gun_receiver_rifle",
		mag_part = "[none]",
		essential_part = "[none]",	
		elemental_part = "electric_component",
		melee_part = "[none]"
	},
	{
		id = "m134minigun",
		tier_item_required = "ingot_jade",
		receiver_part = "minigun_receiver",
		mag_part = "[none]",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "seismicwavegenerator",
		tier_item_required = "ingot_jade",
		receiver_part = "energy_gun_receiver_rifle",
		mag_part = "[none]",
		essential_part = "earthquake_cell",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "minelayer_cluster",
		tier_item_required = "ingot_jade",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "clusterbomb_mag",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "minelayer_layer",
		tier_item_required = "ingot_jade",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "layerbomb_mag",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "remington870_explosive",
		tier_item_required = "ingot_jade",
		receiver_part = "semiauto_receiver_shotgun",
		mag_part = "shotgun_long_barrel",
		essential_part = "[none]",	
		elemental_part = "explosive_component",
		melee_part = "[none]"
	},
	{
		id = "remington870_slug",
		tier_item_required = "ingot_jade",
		receiver_part = "semiauto_receiver_shotgun",
		mag_part = "shotgun_long_barrel",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "henry_golden",
		tier_item_required = "ingot_jade",
		receiver_part = "semiauto_receiver_rifle",
		mag_part = "45_70_mag_henry",
		essential_part = "lever_grip",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "corrodagger",
		tier_item_required = "ingot_jade",
		receiver_part = "[none]",
		mag_part = "[none]",
		essential_part = "[none]",	
		elemental_part = "acid_container",
		melee_part = "blade"
	},
	{
		id = "explosivepike",
		tier_item_required = "ingot_jade",
		receiver_part = "[none]",
		mag_part = "[none]",
		essential_part = "[none]",	
		elemental_part = "explosive_component",
		melee_part = "spear"
	},
	{
		id = "lambdacrossbow",
		tier_item_required = "ingot_jade",
		receiver_part = "crossbow_receiver",
		mag_part = "[none]",
		essential_part = "bow_string",	
		elemental_part = "heating_component",
		melee_part = "[none]"
	},
	{
		id = "incendiarybomblauncher",
		tier_item_required = "ingot_jade",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "bomb_mag",
		essential_part = "[none]",	
		elemental_part = "fire_container",
		melee_part = "[none]"
	},
	{
		id = "radioactivegasbomblauncher",
		tier_item_required = "ingot_jade",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "bomb_mag",
		essential_part = "[none]",	
		elemental_part = "gas_container",
		melee_part = "[none]"
	},
	{
		id = "freezinggasbomblauncher",
		tier_item_required = "ingot_jade",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "bomb_mag",
		essential_part = "[none]",	
		elemental_part = "freezinggas_container",
		melee_part = "[none]"
	},
	{
		id = "acidbomblauncher",
		tier_item_required = "ingot_jade",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "bomb_mag",
		essential_part = "[none]",	
		elemental_part = "acid_container",
		melee_part = "[none]"
	},
	{
		id = "lavabomblauncher",
		tier_item_required = "ingot_jade",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "bomb_mag",
		essential_part = "[none]",	
		elemental_part = "lava_container",
		melee_part = "[none]"
	},
	{
		id = "teslabomblauncher",
		tier_item_required = "ingot_jade",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "bomb_mag",
		essential_part = "[none]",	
		elemental_part = "electric_component",
		melee_part = "[none]"
	},
	{
		id = "chillbomblauncher",
		tier_item_required = "ingot_jade",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "bomb_mag",
		essential_part = "[none]",	
		elemental_part = "freezing_component",
		melee_part = "[none]"
	},
	{
		id = "waterbomblauncher",
		tier_item_required = "ingot_jade",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "bomb_mag",
		essential_part = "[none]",	
		elemental_part = "water_container",
		melee_part = "[none]"
	},
	{
		id = "teslaspherelauncher",
		tier_item_required = "ingot_jade",
		receiver_part = "energy_gun_receiver_rifle",
		mag_part = "[none]",
		essential_part = "glass_sphere",	
		elemental_part = "electric_component",
		melee_part = "[none]"
	},
	{
		id = "freezinglaserrifle",
		tier_item_required = "ingot_jade",
		receiver_part = "energy_gun_receiver_rifle",
		mag_part = "[none]",
		essential_part = "[none]",	
		elemental_part = "freezing_component",
		melee_part = "[none]"
	},
	{
		id = "freezinglaserscatterrifle",
		tier_item_required = "ingot_jade",
		receiver_part = "energy_gun_receiver_shotgun",
		mag_part = "[none]",
		essential_part = "[none]",	
		elemental_part = "freezing_component",
		melee_part = "[none]"
	},
	{
		id = "syringer_acid",
		tier_item_required = "ingot_jade",
		receiver_part = "syringer_receiver",
		mag_part = "[none]",
		essential_part = "compressed_air_cylinder",	
		elemental_part = "acid_container",
		melee_part = "[none]"
	},
	{
		id = "syringer_charm",
		tier_item_required = "ingot_jade",
		receiver_part = "syringer_receiver",
		mag_part = "[none]",
		essential_part = "compressed_air_cylinder",	
		elemental_part = "charming_component",
		melee_part = "[none]"
	},
	{
		id = "syringer_booze",
		tier_item_required = "ingot_jade",
		receiver_part = "syringer_receiver",
		mag_part = "[none]",
		essential_part = "compressed_air_cylinder",	
		elemental_part = "booze_container",
		melee_part = "[none]"
	},
	{
		id = "syringer_water",
		tier_item_required = "ingot_jade",
		receiver_part = "syringer_receiver",
		mag_part = "[none]",
		essential_part = "compressed_air_cylinder",	
		elemental_part = "water_container",
		melee_part = "[none]"
	},
	{
		id = "syringer_poison",
		tier_item_required = "ingot_jade",
		receiver_part = "syringer_receiver",
		mag_part = "[none]",
		essential_part = "compressed_air_cylinder",	
		elemental_part = "poison_container",
		melee_part = "[none]"
	},
	
	{
		id = "syringer_nitro",
		tier_item_required = "ingot_jade",
		receiver_part = "syringer_receiver",
		mag_part = "[none]",
		essential_part = "compressed_air_cylinder",	
		elemental_part = "nitroglycerin_container",
		melee_part = "[none]"
	},
	
	{
		id = "atomicsledge",
		tier_item_required = "ingot_jade",
		receiver_part = "[none]",
		mag_part = "[none]",
		essential_part = "leaking_energy_core",	
		elemental_part = "[none]",
		melee_part = "hammer"
	},
	{
		id = "chestshuffler",
		tier_item_required = "ingot_jade",
		receiver_part = "energy_gun_receiver_rifle",
		mag_part = "[none]",
		essential_part = "chestshuffler_cell",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "ragingbull",
		tier_item_required = "ingot_jade",
		receiver_part = "revolver_receiver",
		mag_part = "44_magnum_mag_ragingbull",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "coltpython",
		tier_item_required = "ingot_jade",
		receiver_part = "revolver_receiver",
		mag_part = "357_magnum_mag_coltpython",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "mossberg88",
		tier_item_required = "ingot_jade",
		receiver_part = "semiauto_receiver_shotgun",
		mag_part = "shotgun_long_barrel",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "mossberg88_dragonsbreath",
		tier_item_required = "ingot_jade",
		receiver_part = "semiauto_receiver_shotgun",
		mag_part = "shotgun_long_barrel",
		essential_part = "[none]",	
		elemental_part = "fire_container",
		melee_part = "[none]"
	},
	{
		id = "saiga",
		tier_item_required = "ingot_jade",
		receiver_part = "fullauto_receiver_shotgun",
		mag_part = "saiga_mag",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "compoundbow",
		tier_item_required = "ingot_jade",
		receiver_part = "[none]",
		mag_part = "[none]",
		essential_part = "bow_string",
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	
	{
		id = "syringer_polymorphine",
		tier_item_required = "ingot_jade",
		receiver_part = "syringer_receiver",
		mag_part = "[none]",
		essential_part = "compressed_air_cylinder",	
		elemental_part = "polymorphine_container",
		melee_part = "[none]"
	},
	{
		id = "fireworksbomblauncher",
		tier_item_required = "ingot_jade",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "bomb_mag",
		essential_part = "[none]",	
		elemental_part = "gunpowder_container",
		melee_part = "[none]"
	},
	{
		id = "katana",
		tier_item_required = "ingot_jade",
		receiver_part = "[none]",
		mag_part = "[none]",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "blade"
	},
	{
		id = "katana_electric",
		tier_item_required = "ingot_jade",
		receiver_part = "[none]",
		mag_part = "[none]",
		essential_part = "[none]",	
		elemental_part = "electric_component",
		melee_part = "blade"
	},
	
	-- Legendary tier wands
	
	{
		id = "alienpistol",
		tier_item_required = "ingot_amethyst",
		receiver_part = "energy_gun_receiver_pistol",
		mag_part = "[none]",
		essential_part = "alien_energy_cell",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "terminatorpistol",
		tier_item_required = "ingot_amethyst",
		receiver_part = "semiauto_receiver_pistol",
		mag_part = "[none]",
		essential_part = "[none]",	
		elemental_part = "teleporting_component",
		melee_part = "[none]"
	},
	{
		id = "acidsoaker",
		tier_item_required = "ingot_amethyst",
		receiver_part = "liquid_gun_receiver",
		mag_part = "[none]",
		essential_part = "[none]",	
		elemental_part = "acid_container",
		melee_part = "[none]"
	},
	{
		id = "lavanadelauncher",
		tier_item_required = "ingot_amethyst",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "[none]",
		essential_part = "[none]",	
		elemental_part = "lava_container",
		melee_part = "[none]"
	},
	{
		id = "minelayer_scatter_cluster",
		tier_item_required = "ingot_amethyst",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "scatter_clusterbomb_mag",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "rangersequoia",
		tier_item_required = "ingot_amethyst",
		receiver_part = "revolver_receiver",
		mag_part = "45_70_mag_rangersequoia",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "acidnadelauncher",
		tier_item_required = "ingot_amethyst",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "[none]",
		essential_part = "[none]",	
		elemental_part = "acid_container",
		melee_part = "[none]"
	},
	{
		id = "lavaspitter",
		tier_item_required = "ingot_amethyst",
		receiver_part = "liquid_gun_receiver",
		mag_part = "[none]",
		essential_part = "[none]",	
		elemental_part = "lava_container",
		melee_part = "[none]"
	},
	{
		id = "teslanadelauncher",
		tier_item_required = "ingot_amethyst",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "[none]",
		essential_part = "[none]",	
		elemental_part = "electric_component",
		melee_part = "[none]"
	},
	{
		id = "chillnadelauncher",
		tier_item_required = "ingot_amethyst",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "[none]",
		essential_part = "[none]",	
		elemental_part = "freezing_component",
		melee_part = "[none]"
	},
	{
		id = "incendiarybomblauncher_scatter",
		tier_item_required = "ingot_amethyst",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "scatterbomb_mag",
		essential_part = "[none]",	
		elemental_part = "fire_container",
		melee_part = "[none]"
	},
	{
		id = "incendiarybomblauncher_layer",
		tier_item_required = "ingot_amethyst",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "layerbomb_mag",
		essential_part = "[none]",	
		elemental_part = "fire_container",
		melee_part = "[none]"
	},
	{
		id = "incendiarybomblauncher_cluster",
		tier_item_required = "ingot_amethyst",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "clusterbomb_mag",
		essential_part = "[none]",	
		elemental_part = "fire_container",
		melee_part = "[none]"
	},
	{
		id = "radioactivegasbomblauncher_scatter",
		tier_item_required = "ingot_amethyst",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "scatterbomb_mag",
		essential_part = "[none]",	
		elemental_part = "gas_container",
		melee_part = "[none]"
	},
	{
		id = "radioactivegasbomblauncher_layer",
		tier_item_required = "ingot_amethyst",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "layerbomb_mag",
		essential_part = "[none]",	
		elemental_part = "gas_container",
		melee_part = "[none]"
	},
	{
		id = "radioactivegasbomblauncher_cluster",
		tier_item_required = "ingot_amethyst",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "clusterbomb_mag",
		essential_part = "[none]",	
		elemental_part = "gas_container",
		melee_part = "[none]"
	},
	{
		id = "freezinggasbomblauncher_scatter",
		tier_item_required = "ingot_amethyst",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "scatterbomb_mag",
		essential_part = "[none]",	
		elemental_part = "freezinggas_container",
		melee_part = "[none]"
	},
	{
		id = "freezinggasbomblauncher_layer",
		tier_item_required = "ingot_amethyst",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "layerbomb_mag",
		essential_part = "[none]",	
		elemental_part = "freezinggas_container",
		melee_part = "[none]"
	},
	{
		id = "freezinggasbomblauncher_cluster",
		tier_item_required = "ingot_amethyst",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "clusterbomb_mag",
		essential_part = "[none]",	
		elemental_part = "freezinggas_container",
		melee_part = "[none]"
	},
	{
		id = "acidbomblauncher_scatter",
		tier_item_required = "ingot_amethyst",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "scatterbomb_mag",
		essential_part = "[none]",	
		elemental_part = "acid_container",
		melee_part = "[none]"
	},
	{
		id = "acidbomblauncher_layer",
		tier_item_required = "ingot_amethyst",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "layerbomb_mag",
		essential_part = "[none]",	
		elemental_part = "acid_container",
		melee_part = "[none]"
	},
	{
		id = "acidbomblauncher_cluster",
		tier_item_required = "ingot_amethyst",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "clusterbomb_mag",
		essential_part = "[none]",	
		elemental_part = "acid_container",
		melee_part = "[none]"
	},
	{
		id = "lavabomblauncher_scatter",
		tier_item_required = "ingot_amethyst",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "scatterbomb_mag",
		essential_part = "[none]",	
		elemental_part = "lava_container",
		melee_part = "[none]"
	},
	{
		id = "lavabomblauncher_layer",
		tier_item_required = "ingot_amethyst",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "layerbomb_mag",
		essential_part = "[none]",	
		elemental_part = "lava_container",
		melee_part = "[none]"
	},
	{
		id = "lavabomblauncher_cluster",
		tier_item_required = "ingot_amethyst",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "clusterbomb_mag",
		essential_part = "[none]",	
		elemental_part = "lava_container",
		melee_part = "[none]"
	},
	{
		id = "teslabomblauncher_scatter",
		tier_item_required = "ingot_amethyst",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "scatterbomb_mag",
		essential_part = "[none]",	
		elemental_part = "electric_component",
		melee_part = "[none]"
	},
	{
		id = "teslabomblauncher_layer",
		tier_item_required = "ingot_amethyst",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "layerbomb_mag",
		essential_part = "[none]",	
		elemental_part = "electric_component",
		melee_part = "[none]"
	},
	{
		id = "teslabomblauncher_cluster",
		tier_item_required = "ingot_amethyst",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "clusterbomb_mag",
		essential_part = "[none]",	
		elemental_part = "electric_component",
		melee_part = "[none]"
	},
	{
		id = "chillbomblauncher_scatter",
		tier_item_required = "ingot_amethyst",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "scatterbomb_mag",
		essential_part = "[none]",	
		elemental_part = "freezing_component",
		melee_part = "[none]"
	},
	{
		id = "chillbomblauncher_layer",
		tier_item_required = "ingot_amethyst",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "layerbomb_mag",
		essential_part = "[none]",	
		elemental_part = "freezing_component",
		melee_part = "[none]"
	},
	{
		id = "chillbomblauncher_cluster",
		tier_item_required = "ingot_amethyst",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "clusterbomb_mag",
		essential_part = "[none]",	
		elemental_part = "freezing_component",
		melee_part = "[none]"
	},
	{
		id = "waterbomblauncher_scatter",
		tier_item_required = "ingot_amethyst",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "scatterbomb_mag",
		essential_part = "[none]",	
		elemental_part = "water_container",
		melee_part = "[none]"
	},
	{
		id = "waterbomblauncher_layer",
		tier_item_required = "ingot_amethyst",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "layerbomb_mag",
		essential_part = "[none]",	
		elemental_part = "water_container",
		melee_part = "[none]"
	},
	{
		id = "waterbomblauncher_cluster",
		tier_item_required = "ingot_amethyst",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "clusterbomb_mag",
		essential_part = "[none]",	
		elemental_part = "water_container",
		melee_part = "[none]"
	},
	{
		id = "thunderrifle",
		tier_item_required = "ingot_amethyst",
		receiver_part = "energy_gun_receiver_rifle",
		mag_part = "[none]",
		essential_part = "thunderbolt_cell",	
		elemental_part = "electric_component",
		melee_part = "[none]"
	},
	{
		id = "thundershotgun",
		tier_item_required = "ingot_amethyst",
		receiver_part = "energy_gun_receiver_shotgun",
		mag_part = "[none]",
		essential_part = "thunderbolt_cell",	
		elemental_part = "electric_component",
		melee_part = "[none]"
	},
	{
		id = "flail_solarfury",
		tier_item_required = "ingot_amethyst",
		receiver_part = "[none]",
		mag_part = "[none]",
		essential_part = "[none]",	
		elemental_part = "lava_container",
		melee_part = "morning_star"
	},
	{
		id = "flail_frozenscythe",
		tier_item_required = "ingot_amethyst",
		receiver_part = "[none]",
		mag_part = "[none]",
		essential_part = "[none]",	
		elemental_part = "freezinggas_container",
		melee_part = "hook"
	},
	{
		id = "flail_jadeblade",
		tier_item_required = "ingot_amethyst",
		receiver_part = "[none]",
		mag_part = "[none]",
		essential_part = "[none]",	
		elemental_part = "acid_container",
		melee_part = "blade"
	},
	{
		id = "empaxe",
		tier_item_required = "ingot_amethyst",
		receiver_part = "[none]",
		mag_part = "[none]",
		essential_part = "[none]",	
		elemental_part = "electric_component",
		melee_part = "empaxe"
	},
	{
		id = "smartminelauncher",
		tier_item_required = "ingot_amethyst",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "smartmine_mag",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "smartminelauncher_shrapnel",
		tier_item_required = "ingot_amethyst",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "smartmine_mag_shrapnel",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "flail_sparkspear",
		tier_item_required = "ingot_amethyst",
		receiver_part = "[none]",
		mag_part = "[none]",
		essential_part = "[none]",	
		elemental_part = "electric_component",
		melee_part = "spear"
	},
	{
		id = "compoundbow_explosive",
		tier_item_required = "ingot_amethyst",
		receiver_part = "[none]",
		mag_part = "[none]",
		essential_part = "bow_string",
		elemental_part = "explosive_component",
		melee_part = "[none]"
	},
	{
		id = "compoundbow_incendiary",
		tier_item_required = "ingot_amethyst",
		receiver_part = "[none]",
		mag_part = "[none]",
		essential_part = "bow_string",	
		elemental_part = "fire_container",
		melee_part = "[none]"
	},
	{
		id = "magicbow_water",
		tier_item_required = "ingot_amethyst",
		receiver_part = "[none]",
		mag_part = "[none]",
		essential_part = "bow_string",
		elemental_part = "water_container",
		melee_part = "[none]"
	},
	{
		id = "magicbow_acid",
		tier_item_required = "ingot_amethyst",
		receiver_part = "[none]",
		mag_part = "[none]",
		essential_part = "bow_string",
		elemental_part = "acid_container",
		melee_part = "[none]"
	},
	{
		id = "drilllauncher",
		tier_item_required = "ingot_amethyst",
		receiver_part = "[none]",
		mag_part = "[none]",
		essential_part = "earthquake_cell",
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "thunderboltbomblauncher",
		tier_item_required = "ingot_amethyst",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "bomb_mag",
		essential_part = "thunderbolt_cell",
		elemental_part = "electric_component",
		melee_part = "[none]"
	},
	
	-- Epic tier wands
	
	{
		id = "fatman",
		tier_item_required = "ingot_diamond",
		receiver_part = "fatman_receiver",
		mag_part = "[none]",
		essential_part = "compressed_air_cylinder",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	
	{
		id = "experimentalmirv",
		tier_item_required = "ingot_diamond",
		receiver_part = "fatman_receiver",
		mag_part = "[none]",
		essential_part = "mirv_component",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	
	{
		id = "minelayer_layer_cluster",
		tier_item_required = "ingot_diamond",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "layer_clusterbomb_mag",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	
	{
		id = "minelayer_layer_prox",
		tier_item_required = "ingot_diamond",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "layerbomb_mag",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	
	{
		id = "m134minigun_overheated",
		tier_item_required = "ingot_diamond",
		receiver_part = "minigun_receiver",
		mag_part = "[none]",
		essential_part = "[none]",	
		elemental_part = "explosive_component",
		melee_part = "[none]"
	},
	
	{
		id = "plasmagatling",
		tier_item_required = "ingot_diamond",
		receiver_part = "energy_gun_receiver_gatling",
		mag_part = "[none]",
		essential_part = "plasma_cell",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	
	{
		id = "lasergatling",
		tier_item_required = "ingot_diamond",
		receiver_part = "energy_gun_receiver_gatling",
		mag_part = "[none]",
		essential_part = "laser_generator",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	
	{
		id = "cloner",
		tier_item_required = "ingot_diamond",
		receiver_part = "energy_gun_receiver_rifle",
		mag_part = "[none]",
		essential_part = "cloning_cell",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	
	{
		id = "printer",
		tier_item_required = "ingot_diamond",
		receiver_part = "energy_gun_receiver_rifle",
		mag_part = "[none]",
		essential_part = "printing_cell",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	
	{
		id = "magicbow_nitroglycerin",
		tier_item_required = "ingot_diamond",
		receiver_part = "[none]",
		mag_part = "[none]",
		essential_part = "bow_string",	
		elemental_part = "nitroglycerin_container",
		melee_part = "[none]"
	},
	
	{
		id = "nitronadelauncher",
		tier_item_required = "ingot_diamond",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "[none]",
		essential_part = "bow_string",
		elemental_part = "nitroglycerin_container",
		melee_part = "[none]"
	},
	
	{
		id = "smartminelauncher_shrapnel",
		tier_item_required = "ingot_diamond",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "smartmine_mag_shrapnel_scatter",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	
	{
		id = "chakram",
		tier_item_required = "ingot_diamond",
		receiver_part = "[none]",
		mag_part = "[none]",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "circular_blade"
	},
	
	{
		id = "igneous_chakram",
		tier_item_required = "ingot_diamond",
		receiver_part = "[none]",
		mag_part = "[none]",
		essential_part = "[none]",	
		elemental_part = "fire_container",
		melee_part = "circular_blade"
	},
	{
		id = "electrorang",
		tier_item_required = "ingot_diamond",
		receiver_part = "[none]",
		mag_part = "[none]",
		essential_part = "[none]",	
		elemental_part = "electric_component",
		melee_part = "boomerang"
	},
	{
		id = "nitrorang",
		tier_item_required = "ingot_diamond",
		receiver_part = "[none]",
		mag_part = "[none]",
		essential_part = "[none]",	
		elemental_part = "nitroglycerin_container",
		melee_part = "boomerang"
	},
	{
		id = "moltenrang",
		tier_item_required = "ingot_diamond",
		receiver_part = "[none]",
		mag_part = "[none]",
		essential_part = "[none]",	
		elemental_part = "lava_container",
		melee_part = "boomerang"
	},
	{
		id = "magicknife",
		tier_item_required = "ingot_diamond",
		receiver_part = "[none]",
		mag_part = "[none]",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "blade"
	},
	{
		id = "magicknife_acid",
		tier_item_required = "ingot_diamond",
		receiver_part = "[none]",
		mag_part = "[none]",
		essential_part = "[none]",	
		elemental_part = "acid_container",
		melee_part = "blade"
	},
	{
		id = "magicknife_poly",
		tier_item_required = "ingot_diamond",
		receiver_part = "[none]",
		mag_part = "[none]",
		essential_part = "[none]",	
		elemental_part = "polymorphine_container",
		melee_part = "blade"
	},
	{
		id = "frost_chakram",
		tier_item_required = "ingot_diamond",
		receiver_part = "[none]",
		mag_part = "[none]",
		essential_part = "[none]",	
		elemental_part = "freezing_component",
		melee_part = "circular_blade"
	},
	{
		id = "autorocketlauncher",
		tier_item_required = "ingot_diamond",
		receiver_part = "rocket_launcher_receiver",
		mag_part = "[none]",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "napalmlauncher",
		tier_item_required = "ingot_diamond",
		receiver_part = "fatman_receiver",
		mag_part = "[none]",
		essential_part = "mirv_component",	
		elemental_part = "white_phosphorous_container",
		melee_part = "[none]"
	},
	{
		id = "fireworksbomblauncher_scatter",
		tier_item_required = "ingot_diamond",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "scatterbomb_mag",
		essential_part = "[none]",	
		elemental_part = "gunpowder_container",
		melee_part = "[none]"
	},
	{
		id = "thunderboltbomblauncher_scatter",
		tier_item_required = "ingot_diamond",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "scatterbomb_mag",
		essential_part = "thunderbolt_cell",
		elemental_part = "electric_component",
		melee_part = "[none]"
	},
	{
		id = "vulcanlauncher",
		tier_item_required = "ingot_diamond",
		receiver_part = "energy_gun_receiver_rifle",
		mag_part = "[none]",
		essential_part = "[none]",
		elemental_part = "heating_component",
		melee_part = "[none]"
	},
	{
		id = "heavyshovellauncher",
		tier_item_required = "ingot_diamond",
		receiver_part = "semiauto_receiver_shovellauncher",
		mag_part = "[none]",
		essential_part = "compressed_air_cylinder",
		elemental_part = "[none]",
		melee_part = "[none]"
	},
	{
		id = "mutatingscythe",
		tier_item_required = "ingot_diamond",
		receiver_part = "[none]",
		mag_part = "[none]",
		essential_part = "[none]",
		elemental_part = "polymorphine_container",
		melee_part = "scythe"
	},
	{
		id = "crossbow_acid",
		tier_item_required = "ingot_diamond",
		receiver_part = "crossbow_receiver",
		mag_part = "[none]",
		essential_part = "bow_string",	
		elemental_part = "acid_container",
		melee_part = "[none]"
	},
	{
		id = "crossbow_poison",
		tier_item_required = "ingot_diamond",
		receiver_part = "crossbow_receiver",
		mag_part = "[none]",
		essential_part = "bow_string",	
		elemental_part = "poison_container",
		melee_part = "[none]"
	},
	{
		id = "spitbomblauncher_acid",
		tier_item_required = "ingot_diamond",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "spitbomb_mag",
		essential_part = "[none]",	
		elemental_part = "acid_container",
		melee_part = "[none]"
	},
	{
		id = "spitbomblauncher_blood",
		tier_item_required = "ingot_diamond",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "spitbomb_mag",
		essential_part = "[none]",	
		elemental_part = "blood_container",
		melee_part = "[none]"
	},
	{
		id = "spitbomblauncher_water",
		tier_item_required = "ingot_diamond",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "spitbomb_mag",
		essential_part = "[none]",	
		elemental_part = "water_container",
		melee_part = "[none]"
	},
	{
		id = "spitbomblauncher_poison",
		tier_item_required = "ingot_diamond",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "spitbomb_mag",
		essential_part = "[none]",	
		elemental_part = "poison_container",
		melee_part = "[none]"
	},
	{
		id = "spitbomblauncher_nitro",
		tier_item_required = "ingot_diamond",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "spitbomb_mag",
		essential_part = "[none]",	
		elemental_part = "nitroglycerin_container",
		melee_part = "[none]"
	},
	{
		id = "spitbomblauncher_lava",
		tier_item_required = "ingot_diamond",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "spitbomb_mag",
		essential_part = "[none]",	
		elemental_part = "lava_container",
		melee_part = "[none]"
	},
	{
		id = "spitbomblauncher_poly",
		tier_item_required = "ingot_diamond",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "spitbomb_mag",
		essential_part = "[none]",	
		elemental_part = "polymorphine_container",
		melee_part = "[none]"
	},
	{
		id = "spitbomblauncher_antipoly",
		tier_item_required = "ingot_diamond",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "spitbomb_mag",
		essential_part = "[none]",	
		elemental_part = "antipoly_container",
		melee_part = "[none]"
	},
	{
		id = "spitbomblauncher_radioactive_gas",
		tier_item_required = "ingot_diamond",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "spitbomb_mag",
		essential_part = "[none]",	
		elemental_part = "[gas_container",
		melee_part = "[none]"
	},
	{
		id = "spitbomblauncher_propane_gas",
		tier_item_required = "ingot_diamond",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "spitbomb_mag",
		essential_part = "[none]",	
		elemental_part = "propane_gas_container",
		melee_part = "[none]"
	},
	{
		id = "spitbomblauncher_freezing_gas",
		tier_item_required = "ingot_diamond",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "spitbomb_mag",
		essential_part = "[none]",	
		elemental_part = "freezinggas_container",
		melee_part = "[none]"
	},
	{
		id = "spitbomblauncher_acid",
		tier_item_required = "ingot_diamond",
		receiver_part = "grenade_launcher_receiver",
		mag_part = "spitbomb_mag",
		essential_part = "[none]",	
		elemental_part = "teleporting_component",
		melee_part = "[none]"
	},
	{
		id = "barrettm82",
		tier_item_required = "ingot_diamond",
		receiver_part = "semiauto_receiver_rifle",
		mag_part = "50bmg_mag",
		essential_part = "[none]",	
		elemental_part = "[none]",
		melee_part = "[none]"
	},
}

-- Returns the amount of existing receiver gunparts
function getReceiversCount()
	local count = 0
	for i,element in ipairs(gunparts_receiver) do
		count = count + 1
	end
	return count
end

-- Returns the amount of existing mag gunparts
function getMagsCount()
	local count = 0
	for i,element in ipairs(gunparts_mag) do
		count = count + 1
	end
	return count
end

-- Returns the amount of existing essential gunparts
function getEssentialsCount()
	local count = 0
	for i,element in ipairs(gunparts_essential) do
		count = count + 1
	end
	return count
end

-- Returns the amount of existing elemental gunparts
function getElementalsCount()
	local count = 0
	for i,element in ipairs(gunparts_elemental) do
		count = count + 1
	end
	return count
end
-- Returns the amount of existing melee gunparts
function getMeleeCount()
	local count = 0
	for i,element in ipairs(gunparts_melee) do
		count = count + 1
	end
	return count
end

-- Function that returns a matching id (the name of a wand) according to the combination of parts provided
-- Returns "no_match" if no matching recipe was found
-- Returns "ingot_missing" if an ingot was not provided
function getGunFromRecipe(tier_item_required, receiver_part, mag_part, essential_part, elemental_part, melee_part)
	
	-- GamePrint("Provided - ingot: " .. tier_item_required .. "rec1: " .. receiver_part .. "rec2: " .. receiver_part2 .. "mag: " .. mag_part .. "ess1: " .. essential_part .. "ess2: " .. essential_part2 .. "melee1: " .. melee_part1 .. "melee2: " .. melee_part2 .. "melee3: " .. melee_part3)
	
	-- adequates empty slots to list format
	if(tier_item_required == "") then
		tier_item_required = "[none]"
	end
	if(receiver_part == "") then
		receiver_part = "[none]"
	end
	if(mag_part == "") then
		mag_part = "[none]"
	end
	if(essential_part == "") then
		essential_part = "[none]"
	end
	if(elemental_part == "") then
		elemental_part = "[none]"
	end
	if(melee_part == "") then
		melee_part = "[none]"
	end

	
	
	-- default value if nothing was found with the combination of parts provided
	local id = "no_match"
	
	-- individual checks for each part
	local tier_item_required_check = nil
	local receiver_part_check = nil
	local mag_part_check = nil
	local essential_part_check = nil
	local elemental_part_check = nil
	local melee_part_check = nil
	
	-- then, verifies each part individually for each item in the list until it finds something
	for i,recipe in ipairs(recipes_list) do
		
		tier_item_required_check = false
		receiver_part_check = false
		mag_part_check = false
		essential_part_check = false
		elemental_part_check = false
		melee_part_check = false
	
		-- checking tier item/ingot required
		if(tier_item_required == recipe.tier_item_required) then
			tier_item_required_check = true
		end
		
		-- checking receivers
		if(receiver_part == recipe.receiver_part) then
			receiver_part_check = true
		end
		
		-- checking mag
		if(mag_part == recipe.mag_part) then
			mag_part_check = true
		end
		
		-- checking essential parts
		if(essential_part == recipe.essential_part) then
			essential_part_check = true
		end
		
		-- checking elemental parts
		if(elemental_part == recipe.elemental_part) then
			elemental_part_check = true
		end
		
		-- checking melee parts
		if(melee_part == recipe.melee_part) then
			melee_part_check = true
		end
	
		-- GamePrint("Checked - ingot: " .. tostring(tier_item_required_check) .. "rec1: " .. tostring(receiver_part_check) .. "rec2: " .. tostring(receiver_part2_check) .. "mag: " .. tostring(mag_part_check) .. "ess1: " .. tostring(essential_part_check) .. "ess2: " .. tostring(essential_part2_check) .. "melee1: " .. tostring(melee_part1_check) .. "melee2: " .. tostring(melee_part2_check) .. "melee3: " .. tostring(melee_part3_check))
		
		-- after checking all parts, confirms if all parts match, if they do, the id of the current recipe is picked and the loop is stopped
		if(tier_item_required_check and receiver_part_check and mag_part_check and essential_part_check and elemental_part_check and melee_part_check) then
			id = recipe.id
			break
		end
	end
	
	return id
end