-- This files controls minibosses added
-- Every new miniboss must be registered in this list, in the following format:
-- name = <the xml entity file name for the miniboss>
-- rewards = <xml entity file names for wand rewards for defeating the miniboss, comma separated>
minibosses_list =
{
	{
		name ="bluestaffbot_melee.xml",
		rewards = {"double_hilt_shock.xml","fieldprojector_zapping.xml"},
		description = "Blue Staff Melee Bot",
		next_form = "",
		is_secondary_form = false,
		has_next_form = false
	},
	{
		name ="bluestaffbot_ranged.xml",
		rewards = {"bluewaverifle.xml","stungun_scatter.xml"},
		description = "Blue Staff Ranged Bot",
		next_form = "",
		is_secondary_form = false,
		has_next_form = false
	},
	{
		name ="cyanstaffbot_melee.xml",
		rewards = {"double_hilt_freeze.xml","fieldprojector_chilling.xml"},
		description = "Cyan Staff Melee Bot",
		next_form = "",
		is_secondary_form = false,
		has_next_form = false
	},
	{
		name ="cyanstaffbot_ranged.xml",
		rewards = {"cyanwaverifle.xml","icestonelauncher.xml"},
		description = "Cyan Staff Ranged Bot",
		next_form = "",
		is_secondary_form = false,
		has_next_form = false
	},
	{
		name ="greenbladebot_melee.xml",
		rewards = {"katana_green.xml","slimebomblauncher.xml"},
		description = "Green Blade Melee Bot",
		next_form = "",
		is_secondary_form = false,
		has_next_form = false
	},
	{
		name ="greenbladebot_ranged.xml",
		rewards = {"greenstarrifle.xml","atomicsledge_exposedcores.xml"},
		description = "Green Blade Ranged Bot",
		next_form = "",
		is_secondary_form = false,
		has_next_form = false
	},
	{
		name ="hiisi_commando_launcher.xml",
		rewards = {"gunpowderrocketlauncher.xml","clusterrocketbomblauncher.xml"},
		description = "Hiisi Commando with Rocket Launcher",
		next_form = "",
		is_secondary_form = false,
		has_next_form = false
	},
	{
		name ="hiisi_commando_minigun.xml",
		rewards = {"artilleryorblauncher.xml","xm556microgun.xml"},
		description = "Hiisi Commando with Minigun",
		next_form = "",
		is_secondary_form = false,
		has_next_form = false
	},
	{
		name ="hiisi_commando_pistol.xml",
		rewards = {"pistolbullet_enhanced.xml","deserteagle.xml"},
		description = "Hiisi Commando with Pistol",
		next_form = "",
		is_secondary_form = false,
		has_next_form = false
	},
	{
		name ="hiisi_commando_rifleman.xml",
		rewards = {"riflebullet_enhanced.xml","burstrifle.xml"},
		description = "Hiisi Commando Rifleman",
		next_form = "",
		is_secondary_form = false,
		has_next_form = false
	},
	{
		name ="hiisi_commando_shotgunner.xml",
		rewards = {"shotgunshell_enhanced.xml","blunderbuss.xml"},
		description = "Hiisi Commando Shotgunner",
		next_form = "",
		is_secondary_form = false,
		has_next_form = false
	},
	{
		name ="lasermeleebot.xml",
		rewards = {"explosive_redlaserrifle.xml","raytracer.xml"},
		description = "Laser Melee Bot",
		next_form = "",
		is_secondary_form = false,
		has_next_form = false
	},
	{
		name ="lasermeleebot_alt.xml",
		rewards = {"explosive_purplelaserrifle.xml","corruptedmaul.xml"},
		description = "Purple Laser Melee Bot",
		next_form = "",
		is_secondary_form = false,
		has_next_form = false
	},
	{
		name ="plasmahoverbot.xml",
		rewards = {"explosive_plasmarifle.xml","cyanplasmaorblauncher.xml"},
		description = "Plasma Hover Bot",
		next_form = "",
		is_secondary_form = false,
		has_next_form = false
	},
	{
		name ="redbladebot_melee.xml",
		rewards = {"katana_red.xml","fieldprojector_scorching.xml"},
		description = "Red Blade Melee Bot",
		next_form = "",
		is_secondary_form = false,
		has_next_form = false
	},
	{
		name ="redbladebot_ranged.xml",
		rewards = {"redstarrifle.xml","infernowavebomblauncher.xml"},
		description = "Red Blade Ranged Bot",
		next_form = "",
		is_secondary_form = false,
		has_next_form = false
	},
	{
		name ="rollerbot.xml",
		rewards = {"flail_claw.xml","clawrocketlauncher.xml"},
		description = "Rollerbot",
		next_form = "",
		is_secondary_form = false,
		has_next_form = false
	},
	{
		name ="rollerbot_boxer.xml",
		rewards = {"flail_boxingglove.xml","boxinggloverocketlauncher.xml"},
		description = "Rollerbot Boxer",
		next_form = "",
		is_secondary_form = false,
		has_next_form = false
	},
	{
		name ="eggplantwizard.xml",
		rewards = {"ratsummonerlauncher.xml","fieldprojector_repelling.xml"},
		description = "Eggplant Wizard",
		next_form = "",
		is_secondary_form = false,
		has_next_form = false
	},
	{
		name ="eggplantwizard_tnt.xml",
		rewards = {"ratsummonerlauncher_tnt.xml","fieldprojector_repelling.xml"},
		description = "Eggplant Wizard with tnt rat minions",
		next_form = "",
		is_secondary_form = false,
		has_next_form = false
	},
	{
		name ="eggplantwizard_acid.xml",
		rewards = {"ratsummonerlauncher_acid.xml","fieldprojector_repelling.xml"},
		description = "Eggplant Wizard with acid rat minions",
		next_form = "",
		is_secondary_form = false,
		has_next_form = false
	},
	{
		name ="eggplantwizard_magicstone.xml",
		rewards = {"ratsummonerlauncher_magicstone.xml","fieldprojector_repelling.xml"},
		description = "Eggplant Wizard with magic stone rat minions",
		next_form = "",
		is_secondary_form = false,
		has_next_form = false
	},
	
	{
		name ="hiisi_commando_grenadier.xml",
		rewards = {"highexplosivegl.xml","clustergl.xml"},
		description = "Hiisi Commando Grenadier",
		next_form = "",
		is_secondary_form = false,
		has_next_form = false
	},
	{
		name ="hiisi_commando_specialist.xml",
		rewards = {"clustershrapnelgl.xml","ballisticslugrifle.xml","madgun.xml","fal_explosive.xml","m4_explosive.xml"},
		description = "Hiisi Commando Specialist",
		next_form = "",
		is_secondary_form = false,
		has_next_form = false
	},
	{
		name ="lasermeleebot_kick.xml",
		rewards = {"greenlaserscatterrifle.xml","greenplasmaorblauncher.xml"},
		description = "Green Laser Melee Bot",
		next_form = "",
		is_secondary_form = false,
		has_next_form = false
	},
	{
		name ="lasermeleebot_kick_alt.xml",
		rewards = {"orangelaserrifle.xml","orangeplasmaorblauncher.xml"},
		description = "Orange Laser Melee Bot",
		next_form = "",
		is_secondary_form = false,
		has_next_form = false
	},
	{
		name ="hiisi_cyborg_firstform.xml",
		rewards = {},
		description = "Hiisi Cyborg",
		next_form = "hiisi_cyborg_secondform.xml",
		is_secondary_form = false,
		has_next_form = true
	},
	{
		name ="hiisi_cyborg_secondform.xml",
		rewards = {"phasedplasmarifle.xml","phasedplasmarifle_orb.xml"},
		description = "Hiisi Cyborg",
		next_form = "",
		is_secondary_form = true,
		has_next_form = false
	},
	{
		name ="chaosstar.xml",
		rewards = {"chaosstarlauncher.xml","laserrifle_highexplosive.xml"},
		description = "Chaos Star",
		next_form = "",
		is_secondary_form = false,
		has_next_form = false
	},
	{
		name ="technobubble.xml",
		rewards = {"bubbletrapspawnerorblauncher.xml","bubbletraplauncher_cluster.xml","bubbletraplauncher_highexplosive.xml"},
		description = "Technobubble",
		next_form = "",
		is_secondary_form = false,
		has_next_form = false
	},
	{
		name ="technobubble_acid.xml",
		rewards = {"grenadebundlelauncher_acid.xml","bubbletraplauncher_highexplosive_acid.xml","bigcanisterlauncher_acid.xml"},
		description = "Acid Technobubble",
		next_form = "",
		is_secondary_form = false,
		has_next_form = false
	},
	{
		name ="technobubble_explosium.xml",
		rewards = {"bigcanisterlauncher_explosium.xml","bubbletraplauncher_explosium.xml","bubbletraplauncher_highexplosive_explosium.xml"},
		description = "Explosium Technobubble",
		next_form = "",
		is_secondary_form = false,
		has_next_form = false
	},
	{
		name ="technobubble_liquid_nitrogen.xml",
		rewards = {"bubbletraplauncher_liquid_nitrogen.xml","bubbletraplauncher_highexplosive_liquid_nitrogen.xml","grenadebundlelauncher_liquid_nitrogen.xml"},
		description = "Liquid Nitrogen Technobubble",
		next_form = "",
		is_secondary_form = false,
		has_next_form = false
	},
	{
		name ="technobubble_electricium.xml",
		rewards = {"bubbletraplauncher_electricium.xml","bigcanisterlauncher_electricium.xml","grenadebundlelauncher_electricium.xml"},
		description = "Electricium Technobubble",
		next_form = "",
		is_secondary_form = false,
		has_next_form = false
	},
	{
		name ="technobubble_frogium.xml",
		rewards = {"bubbletraplauncher_frogium.xml","bubbletraplauncher_highexplosive_frogium.xml","bigcanisterlauncher_frogium.xml"},
		description = "Frogium Technobubble",
		next_form = "",
		is_secondary_form = false,
		has_next_form = false
	},
	{
		name ="technobubble_gravitium.xml",
		rewards = {"bubbletraplauncher_gravitium.xml","bigcanisterlauncher_gravitium.xml","grenadebundlelauncher_gravitium.xml"},
		description = "Gravitium Technobubble",
		next_form = "",
		is_secondary_form = false,
		has_next_form = false
	},
	{
		name ="technobubble_poison.xml",
		rewards = {"bubbletraplauncher_poison.xml","bigcanisterlauncher_poison.xml","bubbletraplauncher_highexplosive_poison.xml"},
		description = "Poison Technobubble",
		next_form = "",
		is_secondary_form = false,
		has_next_form = false
	},
	{
		name ="technobubble_master.xml",
		rewards = {"bubbletraptinylauncher.xml","bubbletraplauncher_minions.xml"},
		description = "Master Technobubble",
		next_form = "",
		is_secondary_form = false,
		has_next_form = false
	},
	{
		name ="hoverknight.xml",
		rewards = {"cannon.xml","bleedingknives.xml"},
		description = "Hoverknight",
		next_form = "",
		is_secondary_form = false,
		has_next_form = false
	},
	{
		name ="shadowwizard.xml",
		rewards = {"fieldprojector_midas.xml","syringer_midas.xml","deflectingfieldorblauncher.xml"},
		description = "Shadow Wizard",
		next_form = "",
		is_secondary_form = false,
		has_next_form = false
	},
	{
		name ="firestarterwizard.xml",
		rewards = {"emberballlauncher.xml","heavyrifle_molten.xml","stickyminelauncher_incendiary.xml"},
		description = "Firestarter Wizard",
		next_form = "",
		is_secondary_form = false,
		has_next_form = false
	},
	{
		name ="overloadedwizard.xml",
		rewards = {"thunderboltgatling.xml","thunderorbrifle.xml"},
		description = "Overloaded Wizard",
		next_form = "",
		is_secondary_form = false,
		has_next_form = false
	},
	{
		name ="nitrowizard.xml",
		rewards = {"nitrosniperrifle.xml","bubbleshooter_nitro.xml"},
		description = "Nitro Wizard",
		next_form = "",
		is_secondary_form = false,
		has_next_form = false
	},
	{
		name ="blizzardwizard.xml",
		rewards = {"snowballlauncher.xml","snowballminionslauncher.xml","stickyminelauncher_freezing.xml"},
		description = "Blizzard Wizard",
		next_form = "",
		is_secondary_form = false,
		has_next_form = false
	},
	{
		name ="vilewizard.xml",
		rewards = {"acidsniperrifle.xml","causticorbrifle.xml"},
		description = "Vile Wizard",
		next_form = "",
		is_secondary_form = false,
		has_next_form = false
	},
}

-- Returns the amount of registered minibosses
function getMinibossesCount()
	local count = 0
	for i,element in ipairs(minibosses_list) do
		count = count + 1
	end
	return count
end

-- Returns a random miniboss that is not set as a secondary form
function getRandomMiniboss()

	-- Sets random seed
	local players = EntityGetWithTag("player_unit")
	local x, y = EntityGetTransform(players[1])
	SetRandomSeed( GameGetFrameNum(), x + y + players[1] + math.random(1,50))
	
	
	local minibossesNotSecondaryForm_count = 0
	-- new table created to store only bosses that are not secondary forms
	local minibossesNotSecondaryForm = {}
	-- first iterates through the entire list and adds minibosses that are not secondary forms to minibossesNotSecondaryForm table
	for i,element in ipairs(minibosses_list) do 
		if(element.is_secondary_form == false) then
			table.insert(minibossesNotSecondaryForm, element.name)
		end	
	end
	
	-- gets total minibosses in minibossesNotSecondaryForm table
	for i,element in ipairs(minibossesNotSecondaryForm) do
		minibossesNotSecondaryForm_count = minibossesNotSecondaryForm_count + 1
	end
	
	-- finally, returns a random miniboss based on minibossesNotSecondaryForm table that is guaranteed to not be a secondary form miniboss
	return minibossesNotSecondaryForm[Random(1,minibossesNotSecondaryForm_count)]
	
end

-- Returns next form of miniboss_name, if there is one
function getMinibossNextForm(miniboss_name)
	local minibossSecondaryForm = ""
	for i,element in ipairs(minibosses_list) do
		if(element.name == miniboss_name) then
			minibossSecondaryForm = element.next_form
			break
		end
	end
	return minibossSecondaryForm
end

-- Returns whether or not miniboss_name has a secondary form
function hasMinibossNextForm(miniboss_name)
	local hasNextForm = false
	for i,element in ipairs(minibosses_list) do
		if(element.name == miniboss_name) then
			hasNextForm = element.has_next_form
			break
		end
	end
	return hasNextForm
end

-- Obtains the description of the miniboss according to provided miniboss name
function getMinibossDescription(miniboss_name)
	local description = ""
	for i,element in ipairs(minibosses_list) do
		if(element.name == miniboss_name) then
			description = element.description
			break
		end
	end
	return description
end

-- Obtains rewards according to provided miniboss name
function getMinibossReward(miniboss_name)
	
	-- Sets random seed
	local players = EntityGetWithTag("player_unit")
	local x, y = EntityGetTransform(players[1])
	SetRandomSeed( GameGetFrameNum(), x + y + players[1] + math.random(1,50))
	
	-- Gets list of rewards, obtains a random one from the list and returns it
	local reward = ""
	for i,element in ipairs(minibosses_list) do
		if(element.name == miniboss_name) then
			rewards_list = element.rewards
			
			local count = 0
			for i,element in ipairs(rewards_list) do
				count = count + 1
			end
			
			reward = rewards_list[Random(1,count)]

			break
		end
	end
	return reward
end

-- Utility functions to return base dirs for commmon entities used in this script
function getMinibossesBaseDir()
	return "data/entities/animals/"
end

function getMinibossRewardsBaseDir()
	return "data/entities/items/boss_wands/"
end