$wandFilesPAth = "C:\Program Files (x86)\Steam\steamapps\common\Noita\mods\TheArmory\data\entities\items"
$wandFiles = Get-ChildItem $wandFilesPAth | Where-Object { !$_.PSIsContainer }
$fileCount = 0
foreach($wandFile in $wandFiles) {
	if($wandFile.Name -ne "material_testtube.xml") {
		$pattern_find_file = 'add_these_child_actions=".*"'
		
		$query = Select-String -Path $wandFile.FullName -Pattern $pattern_find_file | Select-Object -ExpandProperty Line
		$queryParts = $query.Split('=').Replace('"', '') # separates prop name from value
		$actionsList = $queryParts[1] # obtains value to another variable
		
		Write-Host ($wandFile.Name + " actions list is '" + $actionsList + "'") -f "yellow"
		
		# changes name of first action in list
		$fixedActionsList = "THEARMORYACTIONS_" + $actionsList
		
		# if more than one action, replaces every comma to fix the rest of actions
		if($actionsList.Contains(",")) {
			$fixedActionsList = $fixedActionsList.Replace(',', ',THEARMORYACTIONS_')
		}
		
		Write-Host ($wandFile.Name + " FIXED actions list is '" + $fixedActionsList + "'") -f "green"
		
		$pattern_replace_find = 'add_these_child_actions="' + $actionsList + '"'
		$pattern_replace = 'add_these_child_actions="' + $fixedActionsList + '"'
		
		((Get-Content -path $wandFile.FullName -Raw) -replace $pattern_replace_find, $pattern_replace) | Set-Content -Path $wandFile.FullName
	}
	$fileCount++
	
}

Write-Host $fileCount -f c